Index: RTIA/DeclarationManagement.cc
===================================================================
RCS file: /sources/certi/certi/RTIA/DeclarationManagement.cc,v
retrieving revision 3.33
diff -u -r3.33 DeclarationManagement.cc
--- RTIA/DeclarationManagement.cc	20 Mar 2010 16:34:13 -0000	3.33
+++ RTIA/DeclarationManagement.cc	22 Mar 2010 21:46:16 -0000
@@ -84,8 +84,8 @@
     NM_Publish_Object_Class req ;    
     req.setObjectClass(theClassHandle);
     req.setAttributesSize(attribArraySize);
-    req.federation      = fm->_numero_federation ;
-    req.federate        = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
 
     for (uint32_t i=0 ; i<attribArraySize ; i++)
         req.setAttributes(attribArray[i],i) ;
@@ -94,7 +94,7 @@
     comm->sendMessage(&req);
 
     // Reception    
-    std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::PUBLISH_OBJECT_CLASS, req.federate));
+    std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::PUBLISH_OBJECT_CLASS, req.getFederate()));
 
     e = rep->getException() ;
     G.Out(pdGendoc,"exit  DeclarationManagement::publishObjectClass") ;
@@ -130,15 +130,15 @@
     // Partie RTIG
     NM_Unpublish_Object_Class req ;
    
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation) ;
+    req.setFederate(fm->federate);
     req.setObjectClass(theClassHandle);
 
     // Emission de la requete vers le RTIG
     comm->sendMessage(&req);
 
     // On attend une reponse
-    std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::UNPUBLISH_OBJECT_CLASS, req.federate));
+    std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::UNPUBLISH_OBJECT_CLASS, req.getFederate()));
 
     e = rep->getException() ;
 } /* end of unpublishObjectClass */
@@ -165,12 +165,12 @@
     // RTIG (may be non-local) request
     NM_Publish_Interaction_Class req ;
     
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation) ;
+    req.setFederate(fm->federate);
     req.setInteractionClass(theInteractionHandle);
 
     comm->sendMessage(&req);    
-    std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::PUBLISH_INTERACTION_CLASS, req.federate));
+    std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::PUBLISH_INTERACTION_CLASS, req.getFederate()));
 
     e = rep->getException() ;
 } /* end of publishInteractionClass */
@@ -198,12 +198,12 @@
     // Partie RTIG
     NM_Unpublish_Interaction_Class req;   
     req.setInteractionClass(theInteractionHandle);
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation) ;
+    req.setFederate(fm->federate);
 
     comm->sendMessage(&req);
     
-    std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::UNPUBLISH_INTERACTION_CLASS, req.federate));
+    std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::UNPUBLISH_INTERACTION_CLASS, req.getFederate()));
 
     e = rep->getException() ;
 } /* end of unpublishInteractionClass */
@@ -224,8 +224,8 @@
 
     // Partie RTIG
 
-    req.federation      = fm->_numero_federation ;
-    req.federate        = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
     req.setObjectClass(theClassHandle);
     req.setAttributesSize(attribArraySize);
 
@@ -239,7 +239,7 @@
     // Reception
     std::auto_ptr<NetworkMessage> rep(comm->waitMessage(
                       NetworkMessage::SUBSCRIBE_OBJECT_CLASS,
-                      req.federate));
+                      req.getFederate()));
     G.Out(pdGendoc,"                              =====> received S_O_C from RTIG");
 
     e = rep->getException() ;
@@ -261,14 +261,14 @@
 
     // Partie RTIG    
     req.setObjectClass(theClassHandle);
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation) ;
+    req.setFederate(fm->federate);
 
     comm->sendMessage(&req);
 
     std::auto_ptr<NetworkMessage> rep(comm->waitMessage(
                       NetworkMessage::UNSUBSCRIBE_OBJECT_CLASS,
-                      req.federate));
+                      req.getFederate()));
 
     e = rep->getException() ;
 } /* end of unsubscribeObjectClassAttribute */
@@ -298,13 +298,13 @@
 
     // Partie RTIG    
     req.setInteractionClass(theClassHandle);
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
 
     comm->sendMessage(&req);
 
     std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::SUBSCRIBE_INTERACTION_CLASS,
-		      req.federate));
+		      req.getFederate()));
 
     e = rep->getException() ;
 } /* end of subscribeInteractionClass */
@@ -334,14 +334,14 @@
 
     // Partie RTIG    
     req.setInteractionClass(theClassHandle);
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
 
     comm->sendMessage(&req);
 
     std::auto_ptr<NetworkMessage> rep(comm->waitMessage(
                       NetworkMessage::UNSUBSCRIBE_INTERACTION_CLASS,
-                      req.federate));
+                      req.getFederate()));
 
     e = rep->getException() ;
 } /* end of unsubscribeInteractionClass */
@@ -355,8 +355,8 @@
 
     e = e_NO_EXCEPTION ;
 
-    msg.federation = fm->_numero_federation ;
-    msg.federate = fm->federate ;
+    msg.setFederation(fm->_numero_federation);
+    msg.setFederate(fm->federate);
 
     if (state) {
         msg.classRelevanceAdvisorySwitchOn();
@@ -423,8 +423,8 @@
 
     e = e_NO_EXCEPTION ;
 
-    msg.federation = fm->_numero_federation ;
-    msg.federate = fm->federate ;
+    msg.setFederation(fm->_numero_federation);
+    msg.setFederate(fm->federate);
 
     if (state) {
         msg.interactionRelevanceAdvisorySwitchOn();
Index: RTIA/ObjectManagement.cc
===================================================================
RCS file: /sources/certi/certi/RTIA/ObjectManagement.cc,v
retrieving revision 3.68
diff -u -r3.68 ObjectManagement.cc
--- RTIA/ObjectManagement.cc	20 Mar 2010 16:34:13 -0000	3.68
+++ RTIA/ObjectManagement.cc	22 Mar 2010 21:46:16 -0000
@@ -77,14 +77,14 @@
 {
 	NM_Register_Object req;
 
-	req.federate    = fm->federate ;
-	req.federation  = fm->_numero_federation ;
+	req.setFederate(fm->federate) ;
+	req.setFederation(fm->_numero_federation);
 	req.setObjectClass(the_class);
 	req.setLabel(theObjectName);
 
 	comm->sendMessage(&req);
 
-	std::auto_ptr<NM_Register_Object> rep(static_cast<NM_Register_Object*>(comm->waitMessage(NetworkMessage::REGISTER_OBJECT, req.federate)));
+	std::auto_ptr<NM_Register_Object> rep(static_cast<NM_Register_Object*>(comm->waitMessage(NetworkMessage::REGISTER_OBJECT, req.getFederate())));
 
 	e = rep->getException() ;
 
@@ -127,8 +127,8 @@
 	if (validCall) {
 
 		// Building request (req NetworkMessage)
-		req.federation = fm->_numero_federation ;
-		req.federate   = fm->federate ;
+		req.setFederation(fm->_numero_federation);
+		req.setFederate(fm->federate);
 		req.setObject(theObjectHandle);
 		// set Date for UAV with time
 		req.setDate(theTime);
@@ -142,7 +142,7 @@
 		req.setLabel(theTag);
 
 		comm->sendMessage(&req);
-		std::auto_ptr<NM_Update_Attribute_Values> rep(static_cast<NM_Update_Attribute_Values*>(comm->waitMessage(req.getMessageType(), req.federate)));
+		std::auto_ptr<NM_Update_Attribute_Values> rep(static_cast<NM_Update_Attribute_Values*>(comm->waitMessage(req.getMessageType(), req.getFederate())));
 		e = rep->getException() ;
 		evtrHandle = rep->getEvent();
 	}
@@ -184,8 +184,8 @@
 
 	G.Out(pdGendoc,"enter ObjectManagement::updateAttributeValues without time");
 	// Building request (req NetworkMessage)
-	req.federation = fm->_numero_federation ;
-	req.federate   = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setObject(theObjectHandle);
 	// Do no set Date if without time
 	req.setAttributesSize(attribArraySize) ;
@@ -199,7 +199,7 @@
 	req.setLabel(theTag);
 
 	comm->sendMessage(&req);
-	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(req.getMessageType(), req.federate));
+	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(req.getMessageType(), req.getFederate()));
 
 	e = rep->getException() ;
 	G.Out(pdGendoc,"exit  ObjectManagement::updateAttributeValues without time");
@@ -338,8 +338,8 @@
 		// true for UAV with time
 		req.setDate(theTime);
 		req.setRegion(region);
-		req.federation = fm->_numero_federation ;
-		req.federate = fm->federate ;
+		req.setFederation(fm->_numero_federation);
+		req.setFederate(fm->federate);
 		req.setParametersSize(paramArraySize);
 		req.setValuesSize(paramArraySize);
 
@@ -352,7 +352,7 @@
 
 		// Send network message and then wait for answer.
 		comm->sendMessage(&req);
-		std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::SEND_INTERACTION, req.federate));
+		std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::SEND_INTERACTION, req.getFederate()));
 		e = rep->getException() ;
 		evtrHandle = rep->eventRetraction;
 	}
@@ -386,8 +386,8 @@
 	// Building network message (req) to RTIG.
 	req.setInteractionClass(theInteraction);
 	req.setRegion(region);
-	req.federation = fm->_numero_federation ;
-	req.federate   = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setParametersSize(paramArraySize) ;
 	req.setValuesSize(paramArraySize) ;
 
@@ -400,7 +400,7 @@
 
 	// Send network message and then wait for answer.
 	comm->sendMessage(&req);
-	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::SEND_INTERACTION, req.federate));
+	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::SEND_INTERACTION, req.getFederate()));
 
 	e = rep->getException() ;
 
@@ -470,12 +470,12 @@
 
 	req.setObject(theObjectHandle);
 	req.setDate(theTime);
-	req.federation = fm->_numero_federation ;
-	req.federate   = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 
 	req.setLabel(theTag);
 	comm->sendMessage(&req);
-	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DELETE_OBJECT, req.federate));
+	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DELETE_OBJECT, req.getFederate()));
 
 	e = rep->getException() ;
 
@@ -496,12 +496,12 @@
 	NM_Delete_Object req;
 
 	req.setObject(theObjectHandle);
-	req.federation = fm->_numero_federation ;
-	req.federate   = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 
 	req.setLabel(theTag);
 	comm->sendMessage(&req);
-	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DELETE_OBJECT, req.federate));
+	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DELETE_OBJECT, req.getFederate()));
 
 	e = rep->getException() ;
 
@@ -566,8 +566,8 @@
 	uint32_t i ;
 
 	req.setObject(theObjectHandle);
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setTransport(theType);
 	req.setAttributesSize(attribArraySize);
 
@@ -578,7 +578,7 @@
 
 	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(
 			NetworkMessage::CHANGE_ATTRIBUTE_TRANSPORT_TYPE,
-			req.federate));
+			req.getFederate()));
 
 	e = rep->getException() ;
 
@@ -598,8 +598,8 @@
 	uint32_t i ;
 
 	req.setObject(theObjectHandle);
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setOrder(theType);
 	req.setAttributesSize(attribArraySize);
 
@@ -608,7 +608,7 @@
 
 	comm->sendMessage(&req);
 
-	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::CHANGE_ATTRIBUTE_ORDER_TYPE, req.federate));
+	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::CHANGE_ATTRIBUTE_ORDER_TYPE, req.getFederate()));
 
 	e = rep->getException() ;
 
@@ -625,12 +625,12 @@
 	NM_Change_Interaction_Transport_Type req;
 
 	req.setInteractionClass(id);
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setTransport(theType);
 
 	comm->sendMessage(&req);
-	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::CHANGE_INTERACTION_TRANSPORT_TYPE, req.federate));
+	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::CHANGE_INTERACTION_TRANSPORT_TYPE, req.getFederate()));
 	e = rep->getException() ;
 
 	return rep->eventRetraction ;
@@ -646,13 +646,13 @@
 	NM_Change_Interaction_Order_Type req;
 
 	req.setInteractionClass(id);
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setOrder(theType);
 
 	comm->sendMessage(&req);
 
-	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::CHANGE_INTERACTION_ORDER_TYPE, req.federate));
+	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::CHANGE_INTERACTION_ORDER_TYPE, req.getFederate()));
 
 	e = rep->getException() ;
 
@@ -672,8 +672,8 @@
 	G.Out(pdGendoc,"enter ObjectManagement::requestObjectAttributeValueUpdate");
 
 	req.setObject(handle);
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setAttributesSize(attribArraySize);
 
 	for (uint32_t i = 0 ; i < attribArraySize ; i++) {
@@ -682,7 +682,7 @@
 
 	comm->sendMessage(&req);
 	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::REQUEST_OBJECT_ATTRIBUTE_VALUE_UPDATE,
-			req.federate));
+			req.getFederate()));
 	e = rep->getException() ;
 	G.Out(pdGendoc,"exit  ObjectManagement::requestObjectAttributeValueUpdate");
 
@@ -915,8 +915,8 @@
 
 	e = e_NO_EXCEPTION ;
 
-	msg.federation = fm->_numero_federation ;
-	msg.federate = fm->federate ;
+	msg.setFederation(fm->_numero_federation);
+	msg.setFederate(fm->federate);
 
 	if (state) {
 		msg.attributeScopeAdvisorySwitchOn();
@@ -990,8 +990,8 @@
 
 	e = e_NO_EXCEPTION ;
 
-	msg.federation = fm->_numero_federation ;
-	msg.federate = fm->federate ;
+	msg.setFederation(fm->_numero_federation);
+	msg.setFederate(fm->federate);
 
 	if (state) {
 		msg.attributeRelevanceAdvisorySwitchOn();
Index: RTIA/TimeManagement.cc
===================================================================
RCS file: /sources/certi/certi/RTIA/TimeManagement.cc,v
retrieving revision 3.57
diff -u -r3.57 TimeManagement.cc
--- RTIA/TimeManagement.cc	20 Mar 2010 16:34:13 -0000	3.57
+++ RTIA/TimeManagement.cc	22 Mar 2010 21:46:16 -0000
@@ -106,8 +106,8 @@
     heure_logique += _lookahead_courant ;
 
     if (heure_logique > lastNullMessageDate) {
-        msg.federation = fm->_numero_federation ;
-        msg.federate = fm->federate ;
+        msg.setFederation(fm->_numero_federation);
+        msg.setFederate(fm->federate);
         msg.setDate(heure_logique) ; // ? See 6 lines upper !
 
         comm->sendMessage(&msg);
@@ -240,7 +240,7 @@
     	  NM_Remove_Object& RO=static_cast<NM_Remove_Object&>(msg);
           if (msg.isDated()) {
         	om->removeObject(RO.getObject(),
-                		     msg.federate,
+                		     msg.getFederate(),
 				             msg.getDate(),
                          	 msg.getLabel(),
                          	 msg.eventRetraction,
@@ -248,7 +248,7 @@
 	  }
 	  else {
         	om->removeObject(RO.getObject(),
-                		     msg.federate,
+                		     msg.getFederate(),
                          	 msg.getLabel(),
                          	 msg.getRefException());
 	  }
@@ -257,11 +257,11 @@
 
       case NetworkMessage::INFORM_ATTRIBUTE_OWNERSHIP: {
     	 NM_Inform_Attribute_Ownership& IAO = static_cast<NM_Inform_Attribute_Ownership&>(msg);
-        D.Out(pdInit, "m_REFLECT_ATTRIBUTE_VALUES Owner %u", msg.federate);
+        D.Out(pdInit, "m_REFLECT_ATTRIBUTE_VALUES Owner %u", msg.getFederate());
 
         owm->informAttributeOwnership(IAO.getObject(),
                                       IAO.getAttribute(),
-                                      msg.federate,
+                                      msg.getFederate(),
                                       msg.getRefException());
       }
         break ;
@@ -270,7 +270,7 @@
     	  NM_Attribute_Is_Not_Owned& AINO = static_cast<NM_Attribute_Is_Not_Owned&>(msg);
         owm->attributeIsNotOwned(AINO.getObject(),
                                  AINO.getAttribute(),
-                                 msg.federate,
+                                 msg.getFederate(),
                                  msg.getRefException());
       }
         break ;
@@ -281,7 +281,7 @@
         owm->requestAttributeOwnershipAssumption(RAOA.getObject(),
                                                  RAOA.getAttributes(),
                                                  RAOA.getAttributesSize(),
-                                                 msg.federate,
+                                                 msg.getFederate(),
                                                  msg.getLabel(),
                                                  msg.getRefException());
         break ;
@@ -293,7 +293,7 @@
         owm->attributeOwnershipUnavailable(AOU.getObject(),
                                            AOU.getAttributes(),
                                            AOU.getAttributesSize(),
-                                           msg.federate,
+                                           msg.getFederate(),
                                            msg.getRefException());
         break ;
         }
@@ -304,7 +304,7 @@
         owm->attributeOwnershipAcquisitionNotification(AOAN.getObject(),
                                                        AOAN.getAttributes(),
                                                        AOAN.getAttributesSize(),
-                                                       msg.federate,
+                                                       msg.getFederate(),
                                                        msg.getRefException());
         break ;
         }
@@ -364,7 +364,7 @@
         break ;
 
       case NetworkMessage::INITIATE_FEDERATE_RESTORE:
-        fm->initiateFederateRestore(msg.getLabel(), msg.federate);
+        fm->initiateFederateRestore(msg.getLabel(), msg.getFederate());
         break ;
 
       case NetworkMessage::FEDERATION_RESTORED:
@@ -645,8 +645,8 @@
     if (e == e_NO_EXCEPTION) {
         _est_contraint = etat ;
 
-        msg.federation = fm->_numero_federation ;
-        msg.federate = fm->federate ;
+        msg.setFederation(fm->_numero_federation);
+        msg.setFederate(fm->federate);
         if (etat) {
         	msg.constrainedOn();
         } else {
@@ -691,8 +691,8 @@
     if (e == e_NO_EXCEPTION) {
         _est_regulateur = etat ;
 
-        msg.federation = fm->_numero_federation ;
-        msg.federate = fm->federate ;
+        msg.setFederation(fm->_numero_federation);
+        msg.setFederate(fm->federate);
         if (etat) {
         	msg.regulatorOn();
         	D.Out(pdDebug,
Index: RTIA/OwnershipManagement.cc
===================================================================
RCS file: /sources/certi/certi/RTIA/OwnershipManagement.cc,v
retrieving revision 3.24
diff -u -r3.24 OwnershipManagement.cc
--- RTIA/OwnershipManagement.cc	19 Mar 2010 13:54:03 -0000	3.24
+++ RTIA/OwnershipManagement.cc	22 Mar 2010 21:46:16 -0000
@@ -63,8 +63,8 @@
           "IS_ATTRIBUTE_OWNED_BY_FEDERATE, attribute %u of object %u",
           theAttribute, theObject);
 
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
     req.setObject(theObject);
     req.setAttribute(theAttribute);
 
@@ -75,7 +75,7 @@
     // waitMessage is only used to verify transmission was OK.
     std::auto_ptr<NetworkMessage> rep(comm->waitMessage(
                       NetworkMessage::IS_ATTRIBUTE_OWNED_BY_FEDERATE,
-                      req.federate));
+                      req.getFederate()));
 
     e = rep->getException() ;
 
@@ -98,8 +98,8 @@
           "QUERY_ATTRIBUTE_OWNERSHIP, attribute %u from object %u",
           theAttribute, theObject);
 
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
     req.setObject(theObject);
     req.setAttribute(theAttribute);
 
@@ -108,7 +108,7 @@
     comm->sendMessage(&req);
 
     //AttendreMsg ne sert que pour verifier que la transmission a ete OK
-    std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::QUERY_ATTRIBUTE_OWNERSHIP, req.federate));
+    std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::QUERY_ATTRIBUTE_OWNERSHIP, req.getFederate()));
 
     e = rep->getException() ;
 }
@@ -126,8 +126,8 @@
 {
     NM_Negotiated_Attribute_Ownership_Divestiture req;
 
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
     req.setObject(theObject);
     req.setAttributesSize(attribArraySize) ;
 
@@ -141,7 +141,7 @@
     comm->sendMessage(&req);
 
     std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE,
-                      req.federate));
+                      req.getFederate()));
 
     e = rep->getException() ;
 }
@@ -157,8 +157,8 @@
 {
     NM_Cancel_Negotiated_Attribute_Ownership_Divestiture req;
 
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
     req.setObject(theObject);
     req.setAttributesSize(attribArraySize) ;
 
@@ -172,7 +172,7 @@
 
     std::auto_ptr<NetworkMessage> rep(comm->waitMessage(
                       NetworkMessage::CANCEL_NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE,
-                      req.federate));
+                      req.getFederate()));
 
     e = rep->getException() ;
 }
@@ -188,8 +188,8 @@
 {
     NM_Attribute_Ownership_Acquisition_If_Available req;
     
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
     req.setObject(theObject);
     req.setAttributesSize(attribArraySize) ;
 
@@ -201,7 +201,7 @@
     comm->sendMessage(&req);
 
     std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::ATTRIBUTE_OWNERSHIP_ACQUISITION_IF_AVAILABLE,
-                      req.federate));
+                      req.getFederate()));
 
     e = rep->getException() ;
 }
@@ -217,8 +217,8 @@
 {
     NM_Unconditional_Attribute_Ownership_Divestiture req;
 
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
     req.setObject(theObject);
     req.setAttributesSize(attribArraySize) ;
 
@@ -231,7 +231,7 @@
     comm->sendMessage(&req);
 
     std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::UNCONDITIONAL_ATTRIBUTE_OWNERSHIP_DIVESTITURE,
-                      req.federate));
+                      req.getFederate()));
 
     e = rep->getException() ;
 }
@@ -248,8 +248,8 @@
 {
     NM_Attribute_Ownership_Acquisition req;
 
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
     req.setObject(theObject);
     req.setAttributesSize(attribArraySize) ;
 
@@ -263,7 +263,7 @@
     comm->sendMessage(&req);
 
     std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::ATTRIBUTE_OWNERSHIP_ACQUISITION,
-                      req.federate));
+                      req.getFederate()));
 
     e = rep->getException() ;
 }
@@ -279,8 +279,8 @@
 {
     NM_Attribute_Ownership_Release_Response req;
 
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
     req.setObject(theObject);
     req.setAttributesSize(attribArraySize) ;
 
@@ -295,7 +295,7 @@
     comm->sendMessage(&req);
 
     std::auto_ptr<NM_Attribute_Ownership_Release_Response> rep(static_cast<NM_Attribute_Ownership_Release_Response*>(comm->waitMessage(NetworkMessage::ATTRIBUTE_OWNERSHIP_RELEASE_RESPONSE,
-                      req.federate)));
+                      req.getFederate())));
 
     e = rep->getException() ;
 
@@ -324,8 +324,8 @@
 {
     NM_Cancel_Attribute_Ownership_Acquisition req;
 
-    req.federation = fm->_numero_federation ;
-    req.federate = fm->federate ;
+    req.setFederation(fm->_numero_federation);
+    req.setFederate(fm->federate);
     req.setObject(theObject);
     req.setAttributesSize(attribArraySize);
 
@@ -337,7 +337,7 @@
     comm->sendMessage(&req);
 
     std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::CANCEL_ATTRIBUTE_OWNERSHIP_ACQUISITION,
-                      req.federate));
+                      req.getFederate()));
 
     e = rep->getException() ;
 }
Index: RTIA/RTIA_network.cc
===================================================================
RCS file: /sources/certi/certi/RTIA/RTIA_network.cc,v
retrieving revision 3.36
diff -u -r3.36 RTIA_network.cc
--- RTIA/RTIA_network.cc	20 Mar 2010 16:34:13 -0000	3.36
+++ RTIA/RTIA_network.cc	22 Mar 2010 21:46:16 -0000
@@ -55,7 +55,7 @@
                 "Receving Message from RTIG, type NetworkMessage::MESSAGE_NULL(%f).",
                 msg->getDate().getTime());
 
-          tm->update(msg->federate, msg->getDate());
+          tm->update(msg->getFederate(), msg->getDate());
           delete msg ;
           break ;
       }
@@ -67,9 +67,9 @@
                 "Receving Message from RTIG, type NetworkMessage::SET_TIME_REGULATING.");
 
           if (static_cast<NM_Set_Time_Regulating*>(msg)->isRegulatorOn())
-              tm->insert(msg->federate, msg->getDate());
+              tm->insert(msg->getFederate(), msg->getDate());
           else
-              tm->remove(msg->federate);
+              tm->remove(msg->getFederate());
           delete msg ;
           break ;
       }
@@ -370,7 +370,7 @@
           D.Out(pdTrace,
                 "Receving Message from RTIG, unknown type %d.", msgType);
           delete msg ;
-          throw RTIinternalError("Unknown Message type received from RTIG.");
+          throw RTIinternalError(stringize() << "Unknown Message type <" << msgType << "> received from RTIG.");
       }
     }
 
Index: RTIA/Communications.cc
===================================================================
RCS file: /sources/certi/certi/RTIA/Communications.cc,v
retrieving revision 3.38
diff -u -r3.38 Communications.cc
--- RTIA/Communications.cc	20 Mar 2010 16:34:13 -0000	3.38
+++ RTIA/Communications.cc	22 Mar 2010 21:46:15 -0000
@@ -70,7 +70,7 @@
     D.Out(pdProtocol, "TCP Message of Type %d has arrived.", type_msg);
 
     while ((msg->getMessageType() != type_msg) ||
-           ((numeroFedere != 0) && (msg->federate != numeroFedere))) {
+           ((numeroFedere != 0) && (msg->getFederate() != numeroFedere))) {
         waitingList.push_back(msg);
         msg = NM_Factory::receive(socketTCP);
         D.Out(pdProtocol, "Message of Type %d has arrived.", type_msg);
@@ -321,7 +321,7 @@
 
         if ((*i)->getMessageType() == type_msg) {
             // if numeroFedere != 0, verify that federateNumbers are similar
-            if (((*i)->federate == numeroFedere) || (numeroFedere == 0)) {
+            if (((*i)->getFederate() == numeroFedere) || (numeroFedere == 0)) {
             	*msg = *i;                                
                 waitingList.erase(i);
                 D.Out(pdProtocol,
Index: RTIA/DataDistribution.cc
===================================================================
RCS file: /sources/certi/certi/RTIA/DataDistribution.cc,v
retrieving revision 3.33
diff -u -r3.33 DataDistribution.cc
--- RTIA/DataDistribution.cc	19 Mar 2010 13:54:03 -0000	3.33
+++ RTIA/DataDistribution.cc	22 Mar 2010 21:46:15 -0000
@@ -125,13 +125,13 @@
 	Debug(D, pdDebug) << "Start creating region in space " << space << "..." << endl ;
 	NM_DDM_Create_Region req;
 
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setSpace(space);
 	req.setNbExtents(nb_extents);
 
 	comm->sendMessage(&req);
-	std::auto_ptr<NM_DDM_Create_Region> rep(static_cast<NM_DDM_Create_Region*>(comm->waitMessage(NetworkMessage::DDM_CREATE_REGION, req.federate)));
+	std::auto_ptr<NM_DDM_Create_Region> rep(static_cast<NM_DDM_Create_Region*>(comm->waitMessage(NetworkMessage::DDM_CREATE_REGION, req.getFederate())));
 	e = rep->getException();
 
 	if (e == e_NO_EXCEPTION) {
@@ -165,13 +165,13 @@
 	// Request to RTIG
 	NM_DDM_Modify_Region req;
 
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setRegion(handle) ;
 	req.setExtents(extents);
 
 	comm->sendMessage(&req);
-	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DDM_MODIFY_REGION, req.federate));
+	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DDM_MODIFY_REGION, req.getFederate()));
 	e = rep->getException() ;
 
 	if (e == e_NO_EXCEPTION) {
@@ -195,12 +195,12 @@
 	// Request to RTIG
 	NM_DDM_Delete_Region req;
 
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setRegion(handle);
 
 	comm->sendMessage(&req);
-	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DDM_DELETE_REGION, req.federate));
+	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DDM_DELETE_REGION, req.getFederate()));
 	e = rep->getException() ;
 
 	if (e == e_NO_EXCEPTION) {
@@ -231,8 +231,8 @@
 
 	NM_DDM_Associate_Region req;
 
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setObject(object);
 	req.setRegion(region) ;
 
@@ -241,7 +241,7 @@
 	}
 
 	comm->sendMessage(&req);
-	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DDM_ASSOCIATE_REGION,req.federate));
+	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DDM_ASSOCIATE_REGION,req.getFederate()));
 
 	e = rep->getException() ;
 
@@ -261,8 +261,8 @@
 
 	NM_DDM_Register_Object req;
 
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setObjectClass(class_handle);
 	req.setTag(name);
 	for (uint32_t i=0;i<nb;++i) {
@@ -271,7 +271,7 @@
 	req.setRegions(regions);
 
 	comm->sendMessage(&req);
-	std::auto_ptr<NM_DDM_Register_Object> rep(static_cast<NM_DDM_Register_Object*>(comm->waitMessage(NetworkMessage::DDM_REGISTER_OBJECT,req.federate)));
+	std::auto_ptr<NM_DDM_Register_Object> rep(static_cast<NM_DDM_Register_Object*>(comm->waitMessage(NetworkMessage::DDM_REGISTER_OBJECT,req.getFederate())));
 	e = rep->getException() ;
 
 
@@ -306,14 +306,14 @@
 
 	NM_DDM_Unassociate_Region req;
 
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setObject(object);
 	req.setRegion(region) ;
 
 	comm->sendMessage(&req);
 	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DDM_UNASSOCIATE_REGION,
-			req.federate));
+			req.getFederate()));
 
 	e = rep->getException() ;
 } /* end of unassociateRegion */
@@ -332,8 +332,8 @@
 
 	NM_DDM_Subscribe_Attributes req;
 
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setObjectClass(obj_class);
 	req.setRegion(region);
 	for (uint32_t i=0;i<nb;++i) {
@@ -342,7 +342,7 @@
 
 	comm->sendMessage(&req);
 	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DDM_SUBSCRIBE_ATTRIBUTES,
-			req.federate));
+			req.getFederate()));
 
 	e = rep->getException() ;
 } /* end of subscribe */
@@ -360,14 +360,14 @@
 
 	NM_DDM_Unsubscribe_Attributes req;
 
-	req.federation = fm->_numero_federation ;
-	req.federate = fm->federate ;
+	req.setFederation(fm->_numero_federation);
+	req.setFederate(fm->federate);
 	req.setObjectClass(obj_class);
 	req.setRegion(region);
 
 	comm->sendMessage(&req);
 	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DDM_UNSUBSCRIBE_ATTRIBUTES,
-			req.federate));
+			req.getFederate()));
 
 	e = rep->getException() ;
 } /* end of unsubscribeAttributes */
@@ -389,7 +389,7 @@
 
 	comm->sendMessage(&req);
 	std::auto_ptr<NetworkMessage> rep(comm->waitMessage(NetworkMessage::DDM_SUBSCRIBE_INTERACTION,
-			req.federate));
+			req.getFederate()));
 
 	e = rep->getException() ;
 } /* end of subscribeInteraction */
@@ -411,7 +411,7 @@
 
 	comm->sendMessage(&req);
 	std::auto_ptr<NetworkMessage>  rep(comm->waitMessage(NetworkMessage::DDM_UNSUBSCRIBE_INTERACTION,
-			req.federate));
+			req.getFederate()));
 
 	e = rep->getException() ;
 } /* end of unsubscribeInteraction */
Index: RTIA/FederationManagement.cc
===================================================================
RCS file: /sources/certi/certi/RTIA/FederationManagement.cc,v
retrieving revision 3.84
diff -u -r3.84 FederationManagement.cc
--- RTIA/FederationManagement.cc	19 Mar 2010 20:30:55 -0000	3.84
+++ RTIA/FederationManagement.cc	22 Mar 2010 21:46:16 -0000
@@ -128,7 +128,7 @@
         if (reponse->getException() == e_NO_EXCEPTION)
             {
             _nom_federation = theName;            
-            _numero_federation = reponse->federation ;
+            _numero_federation = reponse->getFederation() ;
             D.Out(pdInit, "est createur");
             }
         else if (reponse->getException() == e_CouldNotOpenFED)
@@ -188,8 +188,8 @@
 
     if (e == e_NO_EXCEPTION)
         {
-        requete.federation = _numero_federation ;
-        requete.federate = federate ;
+        requete.setFederation(_numero_federation);
+        requete.setFederate(federate);
         requete.setFederationName(theName);
 
         G.Out(pdGendoc,"destroyFederationExecution====>send Message to RTIG");
@@ -260,9 +260,9 @@
 
             _nom_federation = Federation;
             _nom_federe = Federate;
-            _numero_federation = reponse->federation ;
-            federate = reponse->federate ;
-            tm->setFederate(reponse->federate);
+            _numero_federation = reponse->getFederation() ;
+            federate = reponse->getFederate() ;
+            tm->setFederate(reponse->getFederate());
 
 #ifdef FEDERATION_USES_MULTICAST
             // creation du socket pour la communication best-effort
@@ -273,7 +273,7 @@
             for (i=0 ; i<nb ; i++) {
                 reponse.reset(comm->waitMessage(NetworkMessage::MESSAGE_NULL, 0));
                 assert(tm != NULL);
-                tm->insert(reponse->federate, reponse->getDate());
+                tm->insert(reponse->getFederate(), reponse->getDate());
             }
 
             _est_membre_federation = true ;
@@ -313,8 +313,8 @@
         if (tm->requestRegulateurState())
             tm->setTimeRegulating(false,0,0, exception);
 
-        msg.federation = _numero_federation ;
-        msg.federate = federate ;
+        msg.setFederation(_numero_federation);
+        msg.setFederate(federate) ;
 
         G.Out(pdGendoc,"      resignFederationExecution ===> send NMessage RFE to RTIG");
         comm->sendMessage(&msg);
@@ -369,8 +369,8 @@
 
     if (e == e_NO_EXCEPTION) {
         NM_Register_Federation_Synchronization_Point req ;        
-        req.federation = _numero_federation ;
-        req.federate = federate ;
+        req.setFederation( _numero_federation);
+        req.setFederate (federate);
         req.setLabel(label);
         req.setTag(tag);
         // no federates set so boolean must be false
@@ -409,8 +409,8 @@
 
     if (e == e_NO_EXCEPTION) {
         NM_Register_Federation_Synchronization_Point req;        
-        req.federation = _numero_federation ;
-        req.federate = federate ;
+        req.setFederation( _numero_federation);
+        req.setFederate (federate);
         req.setLabel(label);
         req.setTag(tag);
         /* the synchronization point concerns a set of federate */
@@ -450,8 +450,8 @@
     if (e == e_NO_EXCEPTION) {
         NM_Synchronization_Point_Achieved req ;
         
-        req.federation = _numero_federation ;
-        req.federate = federate ;
+        req.setFederation( _numero_federation);
+        req.setFederate (federate);
         req.setLabel(label);
 
         comm->sendMessage(&req);
@@ -539,8 +539,8 @@
     
     req.setDate(the_time);
     req.setLabel(label);
-    req.federation = _numero_federation ;
-    req.federate = federate ;
+    req.setFederation( _numero_federation);
+    req.setFederate (federate);
 
     G.Out(pdGendoc,"      requestFederationSave====>send Message R_F_S to RTIG");
 
@@ -565,8 +565,8 @@
     NM_Request_Federation_Save req ;
     
     req.setLabel(label);
-    req.federation = _numero_federation ;
-    req.federate = federate ;
+    req.setFederation( _numero_federation);
+    req.setFederate (federate);
     G.Out(pdGendoc,"      requestFederationSave====>send Message R_F_S to RTIG");
 
     comm->sendMessage(&req);
@@ -587,8 +587,8 @@
 
     NM_Federate_Save_Begun req ;
     
-    req.federate = federate ;
-    req.federation = _numero_federation ;
+    req.setFederate (federate);
+    req.setFederation( _numero_federation);
 
     G.Out(pdGendoc,"      federateSaveBegun ====>send Message F_S_B to RTIG");
 
@@ -609,8 +609,8 @@
 
     std::auto_ptr<NetworkMessage> req(NM_Factory::create(status ? NetworkMessage::FEDERATE_SAVE_COMPLETE : NetworkMessage::FEDERATE_SAVE_NOT_COMPLETE));
    
-    req->federate = federate ;
-    req->federation = _numero_federation ;
+    req->setFederate(federate);
+    req->setFederation(_numero_federation);
 
     if (status)
        {    
@@ -673,8 +673,8 @@
     NM_Request_Federation_Restore req ;
     
     req.setLabel(label);
-    req.federate = federate ;
-    req.federation = _numero_federation ;
+    req.setFederate (federate);
+    req.setFederation( _numero_federation);
 
     G.Out(pdGendoc,"     requestFederationRestore  ====>send Message R_F_R to RTIG");
 
@@ -695,8 +695,8 @@
         throw RestoreNotRequested("Federation did not initiate restoring.");
 
     std::auto_ptr<NetworkMessage> req(NM_Factory::create(status ? NetworkMessage::FEDERATE_RESTORE_COMPLETE : NetworkMessage::FEDERATE_RESTORE_NOT_COMPLETE));
-    req->federate = federate ;
-    req->federation = _numero_federation ;
+    req->setFederate(federate);
+    req->setFederation(_numero_federation);
     comm->sendMessage(req.get());
 }
 
Index: libCERTI/SocketServer.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/SocketServer.cc,v
retrieving revision 3.18
diff -u -r3.18 SocketServer.cc
--- libCERTI/SocketServer.cc	13 Oct 2008 10:06:48 -0000	3.18
+++ libCERTI/SocketServer.cc	22 Mar 2010 21:46:17 -0000
@@ -63,7 +63,7 @@
 {
     // G.Out(pdGendoc,"enter SocketServer::checkMessage");
 
-    if ((message->federation == 0) && (message->federate == 0))
+    if ((message->getFederation() == 0) && (message->getFederate() == 0))
         {
         // G.Out(pdGendoc,"exit  SocketServer::checkMessage on return");
         return ;
@@ -71,8 +71,8 @@
 
     Socket *socket ;
     try {
-        socket = getSocketLink(message->federation,
-                               message->federate);
+        socket = getSocketLink(message->getFederation(),
+                               message->getFederate());
     }
     catch (Exception &e) {
         // BUG: Should put a line in the Audit.
Index: libCERTI/InteractionBroadcastList.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/InteractionBroadcastList.cc,v
retrieving revision 3.15
diff -u -r3.15 InteractionBroadcastList.cc
--- libCERTI/InteractionBroadcastList.cc	19 Mar 2010 13:54:03 -0000	3.15
+++ libCERTI/InteractionBroadcastList.cc	22 Mar 2010 21:46:17 -0000
@@ -72,10 +72,10 @@
     message = theMsg ;
 
     // Add reference of the sender(so it does not receive its own message).
-    if (message->federate != 0) {
+    if (message->getFederate() != 0) {
         InteractionBroadcastLine *firstLine ;
         firstLine =
-            new InteractionBroadcastLine(message->federate,
+            new InteractionBroadcastLine(message->getFederate(),
                                          InteractionBroadcastLine::sent);
         lines.push_front(firstLine);
     }
Index: libCERTI/NetworkMessage.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/NetworkMessage.hh,v
retrieving revision 3.61
diff -u -r3.61 NetworkMessage.hh
--- libCERTI/NetworkMessage.hh	20 Mar 2010 16:34:13 -0000	3.61
+++ libCERTI/NetworkMessage.hh	22 Mar 2010 21:46:17 -0000
@@ -194,16 +194,12 @@
 
 	EventRetractionHandle eventRetraction ; /* FIXME to be suppressed */
 
-	/**
-	 * The federation handle 
-	 * the message is part of this federation activity
-	 */
-	Handle federation ;
-	/** 
-	 * The federate handle
-	 * the message is for this particular federate
-	 */
-	FederateHandle federate ;
+	Handle getFederation() const {return federation;};
+	void setFederation(Handle federation) {this->federation=federation;};
+
+	FederateHandle getFederate() const {return federate;};
+	void setFederate(FederateHandle Federate) {this->federate=federate;};
+
 
 protected:
 
@@ -236,6 +232,17 @@
 	 */
 	std::string exceptionReason;
 
+	/**
+	 * The federation handle
+	 * the message is part of this federation activity
+	 */
+	Handle federation ;
+	/**
+	 * The federate handle
+	 * the message is for this particular federate
+	 */
+	FederateHandle federate ;
+
 private:
 
 };
Index: libCERTI/Interaction.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/Interaction.cc,v
retrieving revision 3.61
diff -u -r3.61 Interaction.cc
--- libCERTI/Interaction.cc	19 Mar 2010 13:54:03 -0000	3.61
+++ libCERTI/Interaction.cc	22 Mar 2010 21:46:17 -0000
@@ -421,8 +421,8 @@
 	if (server != NULL) {
 		NM_Receive_Interaction *answer = new NM_Receive_Interaction() ;
 		answer->setException (e_NO_EXCEPTION);
-		answer->federation = server->federation();
-		answer->federate = federate_handle ;
+		answer->setFederation(server->federation());
+		answer->setFederate(federate_handle);
 		answer->setInteractionClass(handle) ; // Interaction Class Handle
 		answer->setDate(time);
 
@@ -480,8 +480,8 @@
 	if (server != NULL) {
 		NM_Receive_Interaction *answer = new NM_Receive_Interaction();
 		answer->setException(e_NO_EXCEPTION);
-		answer->federation = server->federation();
-		answer->federate = federate_handle ;
+		answer->setFederation(server->federation());
+		answer->setFederate(federate_handle);
 		answer->setInteractionClass(handle); // Interaction Class Handle
 		answer->setLabel(the_tag);
 
Index: libCERTI/ObjectSet.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/ObjectSet.cc,v
retrieving revision 3.31
diff -u -r3.31 ObjectSet.cc
--- libCERTI/ObjectSet.cc	20 Mar 2010 16:17:46 -0000	3.31
+++ libCERTI/ObjectSet.cc	22 Mar 2010 21:46:17 -0000
@@ -250,9 +250,9 @@
         	answer = AINO;
         }
 
-        answer->federation = server->federation();
+        answer->setFederation(server->federation());
         answer->setException(e_NO_EXCEPTION);
-        answer->federate = oa->getOwner();
+        answer->setFederate(oa->getOwner());
 
         sendToFederate(answer, the_federate);
     }
Index: libCERTI/ObjectClass.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/ObjectClass.cc,v
retrieving revision 3.80
diff -u -r3.80 ObjectClass.cc
--- libCERTI/ObjectClass.cc	20 Mar 2010 16:34:13 -0000	3.80
+++ libCERTI/ObjectClass.cc	22 Mar 2010 21:46:17 -0000
@@ -132,7 +132,7 @@
           // been subscribed.
           FederateHandle federate = 0 ;
           for (federate = 1 ; federate <= maxSubscriberHandle ; federate++) {
-              if (isSubscribed(federate) && (federate != (ocbList->getMsg()->federate))) {
+              if (isSubscribed(federate) && (federate != (ocbList->getMsg()->getFederate()))) {
                   ocbList->addFederate(federate);
               }
           }
@@ -217,8 +217,8 @@
     for (int i = 0 ; i < nbAttributes ; i++) {
         toFederate = diffusionList->DiffArray[i].federate ;
         if (toFederate != 0) {
-            answer.federation = server->federation();
-            answer.federate = theFederate ;
+            answer.setFederation(server->federation());
+            answer.setFederate(theFederate);
             answer.setObject(object->getHandle());
             answer.setLabel(theTag);
             answer.setAttributesSize(nbAttributes) ;
@@ -331,8 +331,8 @@
               object->getHandle(), handle);
 
         NM_Remove_Object *answer = new NM_Remove_Object();
-        answer->federation = server->federation();
-        answer->federate = the_federate ;
+        answer->setFederation(server->federation());
+        answer->setFederate(the_federate);
         answer->setException(e_NO_EXCEPTION);
         answer->setObjectClass(handle); // Class Handle FIXME why this
         answer->setObject(object->getHandle());
@@ -392,8 +392,8 @@
               object->getHandle(), handle);
 
         NM_Remove_Object *answer = new NM_Remove_Object();
-        answer->federation = server->federation();
-        answer->federate = the_federate ;
+        answer->setFederation(server->federation());
+        answer->setFederate(the_federate);
         answer->setObjectClass(handle); // Class Handle FIXME why do we have a class handle in REMOVE OBJECT?
         answer->setObject(object->getHandle());
 
@@ -687,8 +687,8 @@
               the_object->getHandle(), handle);
 
         NM_Discover_Object *answer = new NM_Discover_Object();
-        answer->federation  = server->federation();
-        answer->federate    = the_federate ;
+        answer->setFederation(server->federation());
+        answer->setFederate(the_federate);
         answer->setException(e_NO_EXCEPTION) ;
         answer->setObjectClass(handle); // Class Handle
         answer->setObject(the_object->getHandle());
@@ -736,8 +736,8 @@
 		  "Sending DiscoverObj to Federate %d for Object %u in class %u ",
 		  federate, i->second->getHandle(), handle, message.getLabel().c_str());
 
-	    message.federation  = server->federation();
-	    message.federate    = federate ;
+	    message.setFederation(server->federation());
+	    message.setFederate(federate);
 	    message.setException(e_NO_EXCEPTION) ;
 	    message.setObjectClass(super_handle);
 	    message.setObject(i->second->getHandle());
@@ -843,8 +843,8 @@
     ObjectClassBroadcastList *ocbList = NULL ;
     if (server != NULL) {
     	NM_Reflect_Attribute_Values *answer = new NM_Reflect_Attribute_Values();
-        answer->federation = server->federation();
-        answer->federate = the_federate ;
+        answer->setFederation(server->federation());
+        answer->setFederate(the_federate);
         answer->setException(e_NO_EXCEPTION) ;
         answer->setObject(object->getHandle());
         // with time
@@ -904,8 +904,8 @@
     ObjectClassBroadcastList *ocbList = NULL ;
     if (server != NULL) {
     	NM_Reflect_Attribute_Values *answer = new NM_Reflect_Attribute_Values() ;
-        answer->federation = server->federation();
-        answer->federate = the_federate ;
+        answer->setFederation(server->federation());
+        answer->setFederate(the_federate);
         answer->setException(e_NO_EXCEPTION) ;
         answer->setObject(object->getHandle());
         // without time
@@ -1039,8 +1039,8 @@
         }
 
         if (compteur_divestiture !=0) {
-            AnswerDivestiture.federation = server->federation();
-            AnswerDivestiture.federate = theFederateHandle ;
+            AnswerDivestiture.setFederation(server->federation());
+            AnswerDivestiture.setFederate(theFederateHandle);
             AnswerDivestiture.setObject(object->getHandle());
             AnswerDivestiture.setLabel(std::string());
             AnswerDivestiture.setAttributesSize(compteur_divestiture);
@@ -1049,8 +1049,8 @@
         }
 
         if (compteur_assumption !=0) {
-            AnswerAssumption->federation = server->federation();
-            AnswerAssumption->federate = theFederateHandle ;
+            AnswerAssumption->setFederation(server->federation());
+            AnswerAssumption->setFederate(theFederateHandle);
             AnswerAssumption->setException(e_NO_EXCEPTION) ;
             AnswerAssumption->setObject(object->getHandle());
             AnswerAssumption->setLabel(theTag);
@@ -1124,15 +1124,15 @@
         }
 
         NM_Attribute_Ownership_Acquisition_Notification *Answer_notification = new NM_Attribute_Ownership_Acquisition_Notification();
-        Answer_notification->federation = server->federation();
-        Answer_notification->federate = the_federate ;
+        Answer_notification->setFederation(server->federation());
+        Answer_notification->setFederate(the_federate);
         Answer_notification->setException(e_NO_EXCEPTION) ;
         Answer_notification->setObject(object->getHandle());
         Answer_notification->setAttributesSize(the_attributes.size());
 
         NM_Attribute_Ownership_Unavailable *Answer_unavailable = new NM_Attribute_Ownership_Unavailable();
-        Answer_unavailable->federation = server->federation();
-        Answer_unavailable->federate = the_federate ;
+        Answer_unavailable->setFederation(server->federation());
+        Answer_unavailable->setFederate(the_federate);
         Answer_unavailable->setException(e_NO_EXCEPTION) ;
         Answer_unavailable->setObject(object->getHandle());
         Answer_unavailable->setAttributesSize(the_attributes.size()) ;
@@ -1289,8 +1289,8 @@
         }
 
         if (compteur_assumption != 0) {
-            AnswerAssumption->federation = server->federation();
-            AnswerAssumption->federate = theFederateHandle ;
+            AnswerAssumption->setFederation(server->federation());
+            AnswerAssumption->setFederate(theFederateHandle);
             AnswerAssumption->setException(e_NO_EXCEPTION) ;
             AnswerAssumption->setObject(object->getHandle());
             AnswerAssumption->setLabel(std::string());
@@ -1374,8 +1374,8 @@
 
         NM_Attribute_Ownership_Acquisition_Notification *AnswerNotification = new NM_Attribute_Ownership_Acquisition_Notification();
 
-        AnswerNotification->federation = server->federation();
-        AnswerNotification->federate = theFederateHandle ;
+        AnswerNotification->setFederation(server->federation());
+        AnswerNotification->setFederate(theFederateHandle);
         AnswerNotification->setException(e_NO_EXCEPTION) ;
         AnswerNotification->setObject(object->getHandle());
         AnswerNotification->setAttributesSize(theAttributeList.size()) ;
@@ -1582,8 +1582,8 @@
         }
 
         NM_Confirm_Attribute_Ownership_Acquisition_Cancellation *answer_confirmation = new NM_Confirm_Attribute_Ownership_Acquisition_Cancellation();
-        answer_confirmation->federation = server->federation();
-        answer_confirmation->federate = federate_handle ;
+        answer_confirmation->setFederation(server->federation());
+        answer_confirmation->setFederate(federate_handle);
         answer_confirmation->setException(e_NO_EXCEPTION) ;
         answer_confirmation->setObject(object->getHandle());
         answer_confirmation->setAttributesSize(attribute_list.size()) ;
Index: libCERTI/ObjectClassBroadcastList.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/ObjectClassBroadcastList.cc,v
retrieving revision 3.30
diff -u -r3.30 ObjectClassBroadcastList.cc
--- libCERTI/ObjectClassBroadcastList.cc	20 Mar 2010 16:34:13 -0000	3.30
+++ libCERTI/ObjectClassBroadcastList.cc	22 Mar 2010 21:46:17 -0000
@@ -47,8 +47,8 @@
 
 	// Copy static informations.
 	reducedMessage->setException(msg->getException());
-	reducedMessage->federation = msg->federation ;
-	reducedMessage->federate = msg->federate ;
+	reducedMessage->setFederation(msg->getFederation());
+	reducedMessage->setFederate(msg->getFederate());
 	reducedMessage->setObject(msg->getObject());
 	if (msg->isDated()) {
 		reducedMessage->setDate(msg->getDate());
@@ -92,8 +92,8 @@
 
 	// Copy static informations.
 	reducedMessage->setException(msg->getException());
-	reducedMessage->federation = msg->federation ;
-	reducedMessage->federate = msg->federate ;
+	reducedMessage->setFederation(msg->getFederation());
+	reducedMessage->setFederate(msg->getFederate());
 	reducedMessage->setObject(msg->getObject());
 	if (msg->isDated()) {
 		reducedMessage->setDate(msg->getDate());
@@ -228,8 +228,8 @@
 	}
 
 	// Add reference of the sender.
-	if (msg->federate != 0) {
-		firstLine = new ObjectBroadcastLine(msg->federate,ObjectBroadcastLine::sent);
+	if (msg->getFederate() != 0) {
+		firstLine = new ObjectBroadcastLine(msg->getFederate(),ObjectBroadcastLine::sent);
 		lines.push_front(firstLine);
 	}
 }
Index: RTIG/Federation.cc
===================================================================
RCS file: /sources/certi/certi/RTIG/Federation.cc,v
retrieving revision 3.126
diff -u -r3.126 Federation.cc
--- RTIG/Federation.cc	20 Mar 2010 16:34:13 -0000	3.126
+++ RTIG/Federation.cc	22 Mar 2010 21:46:16 -0000
@@ -469,20 +469,20 @@
 		regulators.get(v);
 
 		for (unsigned int i = 0 ; i < v.size(); ++i) {
-			nullMessage.federation = handle ;
-			nullMessage.federate = v[i].first ;
+			nullMessage.setFederation(handle);
+			nullMessage.setFederate(v[i].first);
 			nullMessage.setDate(v[i].second);
 			D.Out(pdTerm,
 					"Sending NULL message(type %d) from %d to new federate.",
-					nullMessage.getMessageType(), nullMessage.federate);
+					nullMessage.getMessageType(), nullMessage.getFederate());
 
 			nullMessage.send(tcp_link,NM_msgBufSend);
 		}
 
 		// If federation is synchronizing, put federate in same state.
 		if (isSynchronizing()) {
-			ASPMessage.federate = federate_handle ;
-			ASPMessage.federation = handle ;
+			ASPMessage.setFederate(federate_handle);
+			ASPMessage.setFederation(handle);
 
 			std::map<std::string, std::string>::const_iterator i ;
 			i = synchronizationLabels.begin();
@@ -728,8 +728,8 @@
 
 	NM_Set_Time_Regulating msg ;
 	msg.setException(e_NO_EXCEPTION);
-	msg.federation = handle ;
-	msg.federate = federate_handle ;
+	msg.setFederation(handle);
+	msg.setFederate(federate_handle);
 	msg.regulatorOn();
 	msg.setDate(time);
 
@@ -1089,8 +1089,8 @@
 
 	// broadcast announceSynchronizationPoint() to all federates in federation.
 	NM_Announce_Synchronization_Point msg ;
-	msg.federate = federate ;
-	msg.federation = handle ;
+	msg.setFederate(federate);
+	msg.setFederation(handle);
 	msg.setLabel(label);
 	msg.setTag(tag);
 
@@ -1124,8 +1124,8 @@
 
 	// broadcast announceSynchronizationPoint() to all federates in federation.
 	NM_Announce_Synchronization_Point msg ;
-	msg.federate = federate ;
-	msg.federation = handle ;
+	msg.setFederate(federate) ;
+	msg.setFederation(handle);
 	msg.setLabel(label);
 	msg.setTag(tag);
 
@@ -1165,8 +1165,8 @@
 	saveLabel = the_label ;
 
 	NM_Initiate_Federate_Save msg ;
-	msg.federate = the_federate ;
-	msg.federation = handle ;
+	msg.setFederate(the_federate);
+	msg.setFederation(handle);
 	msg.setLabel(the_label);
 	// timed message
 	msg.setDate(time);
@@ -1204,8 +1204,8 @@
 	saveLabel = the_label ;
 
 	NM_Initiate_Federate_Save msg ;
-	msg.federate = the_federate ;
-	msg.federation = handle ;
+	msg.setFederate(the_federate);
+	msg.setFederation(handle);
 	msg.setLabel(the_label);
 
 	G.Out(pdGendoc,"                  requestFederationSave====>broadcast I_F_S"
@@ -1260,8 +1260,8 @@
 	// Send end save message.
 	std::auto_ptr<NetworkMessage> msg(NM_Factory::create(saveStatus ? NetworkMessage::FEDERATION_SAVED : NetworkMessage::FEDERATION_NOT_SAVED )) ;
 
-	msg->federate = the_federate ;
-	msg->federation = handle ;
+	msg->setFederate(the_federate);
+	msg->setFederation(handle);
 
 	broadcastAnyMessage(msg.get(), 0);
 
@@ -1321,11 +1321,11 @@
 		msg = NM_Factory::create(NetworkMessage::REQUEST_FEDERATION_RESTORE_FAILED);
 	}
 
-	msg->federate = the_federate ;
-	msg->federation = handle ;
+	msg->setFederate(the_federate);
+	msg->setFederation(handle);
 	msg->setLabel(the_label);
 
-	socket = server->getSocketLink(msg->federate);
+	socket = server->getSocketLink(msg->getFederate());
 
 	if (success)
 		G.Out(pdGendoc,"             =====> send message R_F_R_S to RTIA");
@@ -1351,8 +1351,8 @@
 
 	// Informs federates a new restore is being done.
 	msg = NM_Factory::create(NetworkMessage::FEDERATION_RESTORE_BEGUN);
-	msg->federate = the_federate ;
-	msg->federation = handle ;
+	msg->setFederate(the_federate);
+	msg->setFederation(handle);
 
 	G.Out(pdGendoc,"             =====> broadcast message F_R_B");
 
@@ -1361,15 +1361,15 @@
 
 	// For each federate, send an initiateFederateRestore with correct handle.
 	msg = NM_Factory::create(NetworkMessage::INITIATE_FEDERATE_RESTORE);
-	msg->federation = handle ;
+	msg->setFederation(handle) ;
 	msg->setLabel(the_label);
 
 	for (HandleFederateMap::iterator i = _handleFederateMap.begin(); i != _handleFederateMap.end(); ++i) {
-		msg->federate = i->second.getHandle();
+		msg->setFederate(i->second.getHandle());
 
 		// send message.
-		socket = server->getSocketLink(msg->federate);
-		G.Out(pdGendoc,"             =====> send message I_F_R to federate %d",msg->federate);
+		socket = server->getSocketLink(msg->getFederate());
+		G.Out(pdGendoc,"             =====> send message I_F_R to federate %d",msg->getFederate());
 		msg->send(socket,NM_msgBufSend);
 	}
 	delete msg;
@@ -1402,8 +1402,8 @@
 	// Send end restore message.
 	std::auto_ptr<NetworkMessage> msg(NM_Factory::create(restoreStatus ? NetworkMessage::FEDERATION_RESTORED : NetworkMessage::FEDERATION_NOT_RESTORED)) ;
 
-	msg->federate = the_federate ;
-	msg->federation = handle ;
+	msg->setFederate(the_federate);
+	msg->setFederation(handle);
 
 	broadcastAnyMessage(msg.get(), 0);
 
@@ -1675,8 +1675,8 @@
 			handle, federate_handle);
 
 	NM_Set_Time_Regulating msg ;
-	msg.federation = handle ;
-	msg.federate = federate_handle ;
+	msg.setFederation(handle);
+	msg.setFederate(federate_handle);
 	msg.regulatorOff();
 
 	broadcastAnyMessage(&msg, 0);
@@ -1722,8 +1722,8 @@
 
 	// send a federationSynchronized().
 	NM_Federation_Synchronized msg ;
-	msg.federation = handle ;
-	msg.federate = federate_handle ;
+	msg.setFederation(handle);
+	msg.setFederate(federate_handle);
 	msg.setLabel(label);
 
 	broadcastAnyMessage(&msg, 0);
@@ -1847,8 +1847,8 @@
 		std::copy(federate_set.begin(), federate_set.end(), federate_vector.begin());
 
 		NM_Start_Registration_For_Object_Class msg ;
-		msg.federate = federate ;
-		msg.federation = handle ;
+		msg.setFederate(federate);
+		msg.setFederation(handle);
 		msg.setObjectClass(object);
 
 		this->broadcastSomeMessage(&msg, 0, federate_vector, (unsigned short)federate_vector.size());
@@ -1963,8 +1963,8 @@
 	regulators.update(federate_handle, time);
 
 	NM_Message_Null msg ;
-	msg.federation = handle ;
-	msg.federate = federate_handle ;
+	msg.setFederation(handle);
+	msg.setFederate(federate_handle);
 	msg.setDate(time);
 
 	broadcastAnyMessage(&msg, federate_handle);
@@ -2548,7 +2548,7 @@
 	theOwnerHandle = root->requestObjectOwner(theFederateHandle,theObject) ;
 
 	// Send a PROVIDE_ATTRIBUTE_VALUE_UPDATE to the owner
-	mess.federate = theFederateHandle ;
+	mess.setFederate(theFederateHandle);
 	mess.setObject(theObject);
 	mess.setAttributesSize(theListSize) ;
 	for (int i = 0 ; i < theListSize ; i++)
Index: RTIG/RTIG_processing.cc
===================================================================
RCS file: /sources/certi/certi/RTIG/RTIG_processing.cc,v
retrieving revision 3.97
diff -u -r3.97 RTIG_processing.cc
--- RTIG/RTIG_processing.cc	20 Mar 2010 16:34:13 -0000	3.97
+++ RTIG/RTIG_processing.cc	22 Mar 2010 21:46:17 -0000
@@ -103,7 +103,7 @@
 	// Prepare answer for RTIA : store NetworkMessage rep
 	if ( rep.getException() == e_NO_EXCEPTION )
 	{
-		rep.federation = h ;
+		rep.setFederation(h);
 		rep.setFEDid(FEDid);
 		rep.setFederationName(federation);
 		auditServer <<" created.";
@@ -115,7 +115,7 @@
 	rep.send(link,NM_msgBufSend); // Send answer to RTIA
 
 	D.Out(pdInit, "Federation \"%s\" created with Handle %d.",
-			federation.c_str(), rep.federation);
+			federation.c_str(), rep.getFederation());
 
 	G.Out(pdGendoc,"END ** CREATE FEDERATION SERVICE **");
 	G.Out(pdGendoc,"exit RTIG::processCreateFederation");
@@ -195,8 +195,8 @@
 
 	// Prepare answer about JoinFederationExecution
 	rep.setFederationName(federation);
-	rep.federate = num_federe ;
-	rep.federation = num_federation ;
+	rep.setFederate(num_federe);
+	rep.setFederation(num_federation);
 	rep.setNumberOfRegulators(nb_regulateurs);
 	rep.setBestEffortPeer(peer);
 	rep.setBestEffortAddress(address);
@@ -236,8 +236,8 @@
 	auditServer << "Federate " << federe << " resign federation("<<federation<<")" ;
 
 	// Send answer to RTIA
-	reponse.federate = federe ;
-	reponse.federation = federation ;
+	reponse.setFederate(federe);
+	reponse.setFederation(federation);
 	reponse.send(link,NM_msgBufSend);
 
 	G.Out(pdGendoc,"exit RTIG::processResignFederation");
@@ -285,7 +285,7 @@
 	}
 	}
 
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setFederationName(req->getFederationName());
 	if ( rep.getException() == e_NO_EXCEPTION )
 	{
@@ -312,15 +312,15 @@
 
 	if (msg->isClassRelevanceAdvisorySwitchOn()) {
 		auditServer << "ON";
-		federations.setClassRelevanceAdvisorySwitch(msg->federation, msg->federate);
+		federations.setClassRelevanceAdvisorySwitch(msg->getFederation(), msg->getFederate());
 		D.Out(pdTerm, "Federate %u of Federation %u sets AttributeRelevanceAdvisorySwitch.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 	else {
 		auditServer << "OFF";
-		federations.unsetClassRelevanceAdvisorySwitch(msg->federation, msg->federate);
+		federations.unsetClassRelevanceAdvisorySwitch(msg->getFederation(), msg->getFederate());
 		D.Out(pdTerm, "Federate %u of Federation %u clears AttributeRelevanceAdvisorySwitch.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 
 	rep.send(link,NM_msgBufSend);
@@ -342,15 +342,15 @@
 
 	if (msg->isInteractionRelevanceAdvisorySwitchOn()) {
 		auditServer << "ON";
-		federations.setInteractionRelevanceAdvisorySwitch(msg->federation, msg->federate);
+		federations.setInteractionRelevanceAdvisorySwitch(msg->getFederation(), msg->getFederate());
 		D.Out(pdTerm, "Federate %u of Federation %u sets InteractionRelevanceAdvisorySwitch.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 	else {
 		auditServer << "OFF";
-		federations.unsetInteractionRelevanceAdvisorySwitch(msg->federation, msg->federate);
+		federations.unsetInteractionRelevanceAdvisorySwitch(msg->getFederation(), msg->getFederate());
 		D.Out(pdTerm, "Federate %u of Federation %u clears InteractionRelevanceAdvisorySwitch.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 
 	rep.send(link,NM_msgBufSend);
@@ -372,15 +372,15 @@
 
 	if (msg->isAttributeRelevanceAdvisorySwitchOn()) {
 		auditServer << "ON";
-		federations.setAttributeRelevanceAdvisorySwitch(msg->federation, msg->federate);
+		federations.setAttributeRelevanceAdvisorySwitch(msg->getFederation(), msg->getFederate());
 		D.Out(pdTerm, "Federate %u of Federation %u sets AttributeRelevanceAdvisorySwitch.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 	else {
 		auditServer << "OFF";
-		federations.unsetAttributeRelevanceAdvisorySwitch(msg->federation, msg->federate);
+		federations.unsetAttributeRelevanceAdvisorySwitch(msg->getFederation(), msg->getFederate());
 		D.Out(pdTerm, "Federate %u of Federation %u clears AttributeRelevanceAdvisorySwitch.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 
 	rep.send(link,NM_msgBufSend);
@@ -402,15 +402,15 @@
 
 	if (msg->isAttributeScopeAdvisorySwitchOn()) {
 		auditServer << "ON";
-		federations.setAttributeScopeAdvisorySwitch(msg->federation, msg->federate);
+		federations.setAttributeScopeAdvisorySwitch(msg->getFederation(), msg->getFederate());
 		D.Out(pdTerm, "Federate %u of Federation %u sets AttributeScopeAdvisorySwitch.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 	else {
 		auditServer << "OFF";
-		federations.unsetAttributeScopeAdvisorySwitch(msg->federation, msg->federate);
+		federations.unsetAttributeScopeAdvisorySwitch(msg->getFederation(), msg->getFederate());
 		D.Out(pdTerm, "Federate %u of Federation %u clears AttributeScopeAdvisorySwitch.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 
 	rep.send(link,NM_msgBufSend);
@@ -430,14 +430,14 @@
 	if (msg->isRegulatorOn()) {
 		auditServer << "ON at time " << msg->getDate().getTime();
 
-		federations.createRegulator(msg->federation,
-				msg->federate,
+		federations.createRegulator(msg->getFederation(),
+				msg->getFederate(),
 				msg->getDate());
 
 		// send timeRegulationEnabled() to federate.
 		NM_Time_Regulation_Enabled rep ;
-		rep.federate = msg->federate ;
-		rep.federation = msg->federation ;
+		rep.setFederate(msg->getFederate());
+		rep.setFederation(msg->getFederation());
 		rep.setDate(msg->getDate());
 
 		G.Out(pdGendoc,"      processSetTimeRegulating====> write TRE to RTIA");
@@ -445,15 +445,15 @@
 		rep.send(link,NM_msgBufSend);
 
 		D.Out(pdTerm, "Federate %u of Federation %u sets TimeRegulation ON.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 	else {
 		auditServer << "OFF" ;
 
-		federations.removeRegulator(msg->federation,
-				msg->federate);
+		federations.removeRegulator(msg->getFederation(),
+				msg->getFederate());
 		D.Out(pdTerm, "Federate %u of Federation %u sets TimeRegulation OFF.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 
 	G.Out(pdGendoc,"END ** SET TIME REGULATING **");
@@ -471,13 +471,13 @@
 	if (msg->isConstrainedOn()) {
 		auditServer << "ON at time " << msg->getDate().getTime();
 
-		federations.addConstrained(msg->federation,
-				msg->federate);
+		federations.addConstrained(msg->getFederation(),
+				msg->getFederate());
 
 		// send timeConstrainedEnabled() to federate.
 		NM_Time_Constrained_Enabled rep ;
-		rep.federate = msg->federate ;
-		rep.federation = msg->federation ;
+		rep.setFederate(msg->getFederate());
+		rep.setFederation(msg->getFederation());
 		rep.setDate(msg->getDate());
 
 		G.Out(pdGendoc,"      processSetTimeConstrained====> write TCE to RTIA");
@@ -485,15 +485,15 @@
 		rep.send(link,NM_msgBufSend);
 
 		D.Out(pdTerm, "Federate %u of Federation %u is now constrained.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 	else {
 		auditServer << "OFF" ;
 
-		federations.removeConstrained(msg->federation,
-				msg->federate);
+		federations.removeConstrained(msg->getFederation(),
+				msg->getFederate());
 		D.Out(pdTerm, "Federate %u of Federation %u is no more constrained.",
-				msg->federate, msg->federation);
+				msg->getFederate(), msg->getFederation());
 	}
 
 	G.Out(pdGendoc,"END ** SET TIME CONSTRAINED **");
@@ -509,8 +509,8 @@
 
 	// Catch all exceptions because RTIA does not expect an answer anyway.
 	try {
-		federations.updateRegulator(msg->federation,
-				msg->federate,
+		federations.updateRegulator(msg->getFederation(),
+				msg->getFederate(),
 				msg->getDate());
 	} catch (Exception &e) {}
 }
@@ -529,8 +529,8 @@
 
 	// boolean true means a federates set exists
 	if ( req->getExists() ) {
-		federations.manageSynchronization(req->federation,
-				req->federate,
+		federations.manageSynchronization(req->getFederation(),
+				req->getFederate(),
 				true,
 				req->getLabel(),
 				req->getTag(),
@@ -538,18 +538,18 @@
 				req->getFederates());
 	}
 	else {
-		federations.manageSynchronization(req->federation,
-				req->federate,
+		federations.manageSynchronization(req->getFederation(),
+				req->getFederate(),
 				true,
 				req->getLabel(),
 				req->getTag());
 	}
-	D.Out(pdTerm, "Federation %u is now synchronizing.", req->federation);
+	D.Out(pdTerm, "Federation %u is now synchronizing.", req->getFederation());
 
 	// send synchronizationPointRegistrationSucceeded() to federate.
 	NM_Synchronization_Point_Registration_Succeeded rep ;
-	rep.federate = req->federate ;
-	rep.federation = req->federation ;
+	rep.setFederate(req->getFederate());
+	rep.setFederation(req->getFederation());
 	rep.setLabel(req->getLabel());
 
 	G.Out(pdGendoc,"      processRegisterSynchronization====> write SPRS to RTIA");
@@ -558,15 +558,15 @@
 
 	// boolean true means a federates set exists
 	if ( req->getExists() )
-		federations.broadcastSynchronization(req->federation,
-				req->federate,
+		federations.broadcastSynchronization(req->getFederation(),
+				req->getFederate(),
 				req->getLabel(),
 				req->getTag(),
 				req->getFederatesSize(),
 				req->getFederates());
 	else
-		federations.broadcastSynchronization(req->federation,
-				req->federate,
+		federations.broadcastSynchronization(req->getFederation(),
+				req->getFederate(),
 				req->getLabel(),
 				req->getTag());
 
@@ -582,12 +582,12 @@
 {
 	auditServer << "Label \"" << req->getLabel() << "\" ended." ;
 
-	federations.manageSynchronization(req->federation,
-			req->federate,
+	federations.manageSynchronization(req->getFederation(),
+			req->getFederate(),
 			false,
 			req->getLabel(),
 			"");
-	D.Out(pdTerm, "Federate %u has synchronized.", req->federate);
+	D.Out(pdTerm, "Federate %u has synchronized.", req->getFederate());
 }
 
 // ----------------------------------------------------------------------------
@@ -601,11 +601,11 @@
 
 	if ( req->isDated() )
 		// With time
-		federations.requestFederationSave(req->federation, req->federate,
+		federations.requestFederationSave(req->getFederation(), req->getFederate(),
 				req->getLabel(), req->getDate());
 	else
 		// Without time
-		federations.requestFederationSave(req->federation, req->federate,
+		federations.requestFederationSave(req->getFederation(), req->getFederate(),
 				req->getLabel());
 
 	G.Out(pdGendoc,"exit  RTIG::processRequestFederationSave");
@@ -617,11 +617,11 @@
 {
 	G.Out(pdGendoc,"enter RTIG::processFederateSaveBegun");
 	G.Out(pdGendoc,"BEGIN ** FEDERATE SAVE BEGUN SERVICE **");
-	G.Out(pdGendoc,"processFederateSaveBegun federation = %d",req->federation);
+	G.Out(pdGendoc,"processFederateSaveBegun federation = %d",req->getFederation());
 
-	auditServer << "Federate " << req->federate << " save begun." ;
+	auditServer << "Federate " << req->getFederate() << " save begun." ;
 
-	federations.federateSaveBegun(req->federation, req->federate);
+	federations.federateSaveBegun(req->getFederation(), req->getFederate());
 
 	G.Out(pdGendoc,"END   ** FEDERATE SAVE BEGUN SERVICE **");
 	G.Out(pdGendoc,"exit  RTIG::processFederateSaveBegun");
@@ -637,10 +637,10 @@
 	else
 		G.Out(pdGendoc,"BEGIN ** FEDERATE SAVE NOT COMPLETE SERVICE **");
 
-	auditServer << "Federate " << req->federate << " save ended." ;
+	auditServer << "Federate " << req->getFederate() << " save ended." ;
 
 	bool status = req->getMessageType() == NetworkMessage::FEDERATE_SAVE_COMPLETE ;
-	federations.federateSaveStatus(req->federation, req->federate, status);
+	federations.federateSaveStatus(req->getFederation(), req->getFederate(), status);
 
 	G.Out(pdGendoc,"exit  END   ** FEDERATE SAVE (NOT) COMPLETE SERVICE **");
 	G.Out(pdGendoc,"exit  RTIG::processFederateSaveStatus");
@@ -652,9 +652,9 @@
 {
 	G.Out(pdGendoc,"BEGIN ** REQUEST FEDERATION RESTORE SERVICE **");
 	G.Out(pdGendoc,"enter RTIG::processRequestFederationRestore");
-	auditServer << "Federate " << req->federate << " request restore." ;
+	auditServer << "Federate " << req->getFederate() << " request restore." ;
 
-	federations.requestFederationRestore(req->federation, req->federate,
+	federations.requestFederationRestore(req->getFederation(), req->getFederate(),
 			req->getLabel());
 	G.Out(pdGendoc,"exit  RTIG::processRequestFederationRestore");
 	G.Out(pdGendoc,"END   ** REQUEST FEDERATION RESTORE SERVICE **");
@@ -666,11 +666,11 @@
 {
 	G.Out(pdGendoc,"BEGIN ** FEDERATE RESTORE (NOT)COMPLETE **");
 	G.Out(pdGendoc,"enter RTIG::processRequestFederateRestoreStatus");
-	auditServer << "Federate " << req->federate << " restore ended." ;
+	auditServer << "Federate " << req->getFederate() << " restore ended." ;
 
 	bool status = req->getMessageType() == NetworkMessage::FEDERATE_RESTORE_COMPLETE ;
 
-	federations.federateRestoreStatus(req->federation, req->federate, status);
+	federations.federateRestoreStatus(req->getFederation(), req->getFederate(), status);
 
 	G.Out(pdGendoc,"exit  RTIG::processRequestFederateRestoreStatus");
 	G.Out(pdGendoc,"END   ** FEDERATE RESTORE (NOT)COMPLETE **");
@@ -686,25 +686,25 @@
 	auditServer << "Publish Object Class = " << req->getObjectClass() << ", # of att. = "
 			<< req->getAttributesSize() ;
 
-	federations.publishObject(req->federation,
-			req->federate,
+	federations.publishObject(req->getFederation(),
+			req->getFederate(),
 			req->getObjectClass(),
 			req->getAttributes(),
 			req->getAttributesSize(),
 			pub);
 
 	D.Out(pdRegister, "Federate %u of Federation %u published object class %d.",
-			req->federate, req->federation, req->getObjectClass());
+			req->getFederate(), req->getFederation(), req->getObjectClass());
 
 
 	if (pub) {
 		NM_Publish_Object_Class POC;
-		POC.federate = req->federate;
+		POC.setFederate(req->getFederate());
 		POC.setObjectClass(req->getObjectClass());
 		POC.send(link,NM_msgBufSend); // send answer to RTIA
 	} else {
 		NM_Unpublish_Object_Class UOC;
-		UOC.federate = req->federate;
+		UOC.setFederate(req->getFederate());
 		UOC.setObjectClass(req->getObjectClass());
 		UOC.send(link,NM_msgBufSend); // send answer to RTIA
 
@@ -725,25 +725,25 @@
 	auditServer << "Subscribe Object Class = " << req->getObjectClass()
 						<< ", # of att. = " << req->getAttributesSize() ;
 
-	federations.subscribeObject(req->federation,
-			req->federate,
+	federations.subscribeObject(req->getFederation(),
+			req->getFederate(),
 			req->getObjectClass(),
 			sub ? req->getAttributes() : arrayVide,
 					sub ? req->getAttributesSize() : 0);
 
 	D.Out(pdRegister,
 			"Federate %u of Federation %u subscribed to object class %d.",
-			req->federate, req->federation, req->getObjectClass());
+			req->getFederate(), req->getFederation(), req->getObjectClass());
 
 	if (sub) {
 		NM_Subscribe_Object_Class rep;
-		rep.federate = req->federate ;
+		rep.setFederate(req->getFederate());
 		rep.setObjectClass(req->getObjectClass());
 
 		rep.send(link,NM_msgBufSend); // send answer to RTIA
 	} else {
 		NM_Unsubscribe_Object_Class rep;
-		rep.federate = req->federate ;
+		rep.setFederate(req->getFederate());
 		rep.setObjectClass(req->getObjectClass());
 
 		rep.send(link,NM_msgBufSend); // send answer to RTIA
@@ -763,18 +763,18 @@
 	bool pub = (req->getMessageType() == NetworkMessage::PUBLISH_INTERACTION_CLASS);
 
 	auditServer << "Publish Interaction Class = " << req->getInteractionClass() ;
-	federations.publishInteraction(req->federation,
-			req->federate,
+	federations.publishInteraction(req->getFederation(),
+			req->getFederate(),
 			req->getInteractionClass(),
 			pub);
 	D.Out(pdRequest, "Federate %u of Federation %u publishes Interaction %d.",
-			req->federate,
-			req->federation,
+			req->getFederate(),
+			req->getFederation(),
 			req->getInteractionClass());
 
 	NM_Publish_Interaction_Class rep;
 
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setInteractionClass(req->getInteractionClass());
 
 	rep.send(link,NM_msgBufSend); // send answer to RTIA
@@ -788,18 +788,18 @@
 	bool sub = (req->getMessageType() == NetworkMessage::SUBSCRIBE_INTERACTION_CLASS);
 
 	auditServer << "Subscribe Interaction Class = " << req->getInteractionClass() ;
-	federations.subscribeInteraction(req->federation,
-			req->federate,
+	federations.subscribeInteraction(req->getFederation(),
+			req->getFederate(),
 			req->getInteractionClass(),
 			sub);
 	D.Out(pdRequest,
 			"Federate %u of Federation %u subscribed to Interaction %d.",
-			req->federate,
-			req->federation,
+			req->getFederate(),
+			req->getFederation(),
 			req->getInteractionClass());
 
 	NM_Subscribe_Interaction_Class rep;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setInteractionClass(req->getInteractionClass());
 
 	rep.send(link,NM_msgBufSend); // send answer to RTIA
@@ -813,17 +813,17 @@
 	NM_Register_Object rep;
 
 	auditServer << "Register Object Class = " << req->getObjectClass() ;
-	rep.setObject(federations.registerObject(req->federation,
-			req->federate,
+	rep.setObject(federations.registerObject(req->getFederation(),
+			req->getFederate(),
 			req->getObjectClass(),
 			req->getLabel()));
 
 	D.Out(pdRegister,
 			"Object \"%s\" of Federate %u has been registered under ID %u.",
-			req->getLabel().c_str(), req->federate, rep.getObject());
+			req->getLabel().c_str(), req->getFederate(), rep.getObject());
 
-	rep.federate    = req->federate ;
-	rep.federation  = req->federation;
+	rep.setFederate(req->getFederate());
+	rep.setFederation(req->getFederation());
 	rep.setObjectClass(req->getObjectClass());
 	// rep.object is set by the call of registerObject
 	if (req->hasObjectName()) {
@@ -850,8 +850,8 @@
 	if ( req->isDated() )
 	{
 		// UAV with time
-		federations.updateAttribute(req->federation,
-				req->federate,
+		federations.updateAttribute(req->getFederation(),
+				req->getFederate(),
 				req->getObject(),
 				req->getAttributes(),
 				req->getValues(),
@@ -862,8 +862,8 @@
 	else
 	{
 		// UAV without time
-		federations.updateAttribute(req->federation,
-				req->federate,
+		federations.updateAttribute(req->getFederation(),
+				req->getFederate(),
 				req->getObject(),
 				req->getAttributes(),
 				req->getValues(),
@@ -873,7 +873,7 @@
 
 	// Building answer (Network Message)
 	NM_Update_Attribute_Values rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setObject(req->getObject());
 	// Don't forget date, label and tag if provided in the request
 	if (req->isDated()) {
@@ -903,8 +903,8 @@
 					<< ", date = " << req->getDate().getTime();
 	if ( req->isDated() )
 	{
-		federations.updateParameter(req->federation,
-				req->federate,
+		federations.updateParameter(req->getFederation(),
+				req->getFederate(),
 				req->getInteractionClass(),
 				req->getParameters(),
 				req->getValues(),
@@ -915,8 +915,8 @@
 	}
 	else
 	{
-		federations.updateParameter(req->federation,
-				req->federate,
+		federations.updateParameter(req->getFederation(),
+				req->getFederate(),
 				req->getInteractionClass(),
 				req->getParameters(),
 				req->getValues(),
@@ -929,7 +929,7 @@
 			req->getInteractionClass());
 
 	NM_Send_Interaction rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setInteractionClass(req->getInteractionClass());
 	// Don't forget label and tag
 	rep.setLabel(req->getLabel());
@@ -952,24 +952,24 @@
 	auditServer << "Delete ObjID = " << req->getObject() ;
 
 	if ( req->isDated() ) {
-		federations.destroyObject(req->federation,
-				req->federate,
+		federations.destroyObject(req->getFederation(),
+				req->getFederate(),
 				req->getObject(),
 				req->getDate(),
 				req->getLabel());
 	}
 	else {
-		federations.destroyObject(req->federation,
-				req->federate,
+		federations.destroyObject(req->getFederation(),
+				req->getFederate(),
 				req->getObject(),
 				req->getLabel());
 	}
 
 	D.Out(pdRegister, "Object # %u of Federation %u has been deleted.",
-			req->getObject(), req->federation);
+			req->getObject(), req->getFederation());
 
 	NM_Delete_Object rep ;
-	rep.federate = req->federate ;
+	rep.setFederate( req->getFederate() );
 	rep.setObject(req->getObject());
 
 	rep.send(link,NM_msgBufSend); // send answer to RTIA
@@ -988,8 +988,8 @@
 
 	auditServer << "AttributeHandle = " << req->getAttribute() ;
 
-	federations.searchOwner(req->federation,
-			req->federate,
+	federations.searchOwner(req->getFederation(),
+			req->getFederate(),
 			req->getObject(),
 			req->getAttribute());
 
@@ -997,7 +997,7 @@
 			req->getAttribute(), req->getObject());
 
 	NM_Query_Attribute_Ownership rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setObject(req->getObject());
 
 	rep.send(link,NM_msgBufSend); // send answer to RTIA
@@ -1015,8 +1015,8 @@
 
 	auditServer << "AttributeHandle = " << req->getAttribute() ;
 
-	if (federations.isOwner(req->federation,
-			req->federate,
+	if (federations.isOwner(req->getFederation(),
+			req->getFederate(),
 			req->getObject(),
 			req->getAttribute()))
 		rep.setLabel("RTI_TRUE");
@@ -1026,7 +1026,7 @@
 	D.Out(pdDebug, "Owner of Attribute %u of Object %u .",
 			req->getAttribute(), req->getObject());
 
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setObject(req->getObject());
 	rep.setAttribute(req->getAttribute()) ;
 
@@ -1040,8 +1040,8 @@
 {
 	auditServer << "Object = " <<  req->getObject()
 						<< ", # of att. = " << req->getAttributesSize() ;
-	federations.negotiateDivestiture(req->federation,
-			req->federate,
+	federations.negotiateDivestiture(req->getFederation(),
+			req->getFederate(),
 			req->getObject(),
 			req->getAttributes(),
 			req->getAttributesSize(),
@@ -1049,10 +1049,10 @@
 
 	D.Out(pdDebug, "Federate %u of Federation %u negotiate "
 			"divestiture of object %u.",
-			req->federate, req->federation, req->getObject());
+			req->getFederate(), req->getFederation(), req->getObject());
 
 	NM_Negotiated_Attribute_Ownership_Divestiture rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setObject(req->getObject());
 
 	rep.send(link,NM_msgBufSend); // send answer to RTIA
@@ -1066,8 +1066,8 @@
 	auditServer << "Object = " << req->getObject()
 						<< ", # of att. = " << req->getAttributesSize() ;
 
-	federations.acquireIfAvailable(req->federation,
-			req->federate,
+	federations.acquireIfAvailable(req->getFederation(),
+			req->getFederate(),
 			req->getObject(),
 			req->getAttributes(),
 			req->getAttributesSize());
@@ -1075,10 +1075,10 @@
 	D.Out(pdDebug,
 			"Federate %u of Federation %u acquisitionIfAvailable "
 			"of object %u.",
-			req->federate, req->federation, req->getObject());
+			req->getFederate(), req->getFederation(), req->getObject());
 
 	NM_Attribute_Ownership_Acquisition_If_Available rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setObject(req->getObject());
 
 	rep.send(link,NM_msgBufSend); // send answer to RTIA
@@ -1092,8 +1092,8 @@
 	auditServer << "Object = " << req->getObject()
 						<< ", # of att. = " << req->getAttributesSize() ;
 
-	federations.divest(req->federation,
-			req->federate,
+	federations.divest(req->getFederation(),
+			req->getFederate(),
 			req->getObject(),
 			req->getAttributes(),
 			req->getAttributesSize());
@@ -1101,10 +1101,10 @@
 	D.Out(pdDebug,
 			"Federate %u of Federation %u UnconditionalDivestiture "
 			"of object %u.",
-			req->federate, req->federation, req->getObject());
+			req->getFederate(), req->getFederation(), req->getObject());
 
 	NM_Unconditional_Attribute_Ownership_Divestiture rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setObject(req->getObject());
 
 	rep.send(link,NM_msgBufSend); // send answer to RTIA
@@ -1118,8 +1118,8 @@
 	auditServer << "Object = " << req->getObject()
 						<< ", # of att. = " << req->getAttributesSize() ;
 
-	federations.acquire(req->federation,
-			req->federate,
+	federations.acquire(req->getFederation(),
+			req->getFederate(),
 			req->getObject(),
 			req->getAttributes(),
 			req->getAttributesSize(),
@@ -1127,10 +1127,10 @@
 
 	D.Out(pdDebug,
 			"Federate %u of Federation %u ownership acquisition of object %u.",
-			req->federate, req->federation, req->getObject());
+			req->getFederate(), req->getFederation(), req->getObject());
 
 	NM_Attribute_Ownership_Acquisition rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setObject(req->getObject());
 	rep.setAttributesSize(0);
 
@@ -1145,18 +1145,18 @@
 	auditServer << "Object = " << req->getObject()
 						<< ", # of att. = " << req->getAttributesSize() ;
 
-	federations.cancelDivestiture(req->federation,
-			req->federate,
+	federations.cancelDivestiture(req->getFederation(),
+			req->getFederate(),
 			req->getObject(),
 			req->getAttributes(),
 			req->getAttributesSize());
 
 	D.Out(pdDebug, "Federate %u of Federation %u cancel negotiate "
 			"divestiture of object %u.",
-			req->federate, req->federation, req->getObject());
+			req->getFederate(), req->getFederation(), req->getObject());
 
 	NM_Cancel_Negotiated_Attribute_Ownership_Divestiture rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setObject(req->getObject());
 
 	rep.send(link,NM_msgBufSend); // send answer to RTIA
@@ -1171,15 +1171,15 @@
 					<< ", # of att. = " << req->getAttributesSize() ;
 
 	AttributeHandleSet *attributes =
-			federations.respondRelease(req->federation,
-					req->federate,
+			federations.respondRelease(req->getFederation(),
+					req->getFederate(),
 					req->getObject(),
 					req->getAttributes(),
 					req->getAttributesSize());
 
 	D.Out(pdDebug, "Federate %u of Federation %u release response "
 			"of object %u.",
-			req->federate, req->federation, req->getObject());
+			req->getFederate(), req->getFederation(), req->getObject());
 
 	NM_Attribute_Ownership_Release_Response rep ;
 	rep.setAttributesSize(attributes->size()) ;
@@ -1188,7 +1188,7 @@
 		rep.setAttributes(attributes->getHandle(i),i);
 	}
 
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setObject(req->getObject());
 
 	rep.send(link,NM_msgBufSend); // Send answer to RTIA
@@ -1202,18 +1202,18 @@
 	auditServer << "Object = " << req->getObject()
 					<< ", # of att. = " << req->getAttributesSize() ;
 
-	federations.cancelAcquisition(req->federation,
-			req->federate,
+	federations.cancelAcquisition(req->getFederation(),
+			req->getFederate(),
 			req->getObject(),
 			req->getAttributes(),
 			req->getAttributesSize());
 
 	D.Out(pdDebug,
 			"Federate %u of Federation %u release response of object %u.",
-			req->federate, req->federation, req->getObject());
+			req->getFederate(), req->getFederation(), req->getObject());
 
 	NM_Cancel_Attribute_Ownership_Acquisition rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setObject(req->getObject());
 
 	rep.send(link,NM_msgBufSend); // send answer to RTIA
@@ -1227,16 +1227,16 @@
 	// TODO: audit...
 
 	NM_DDM_Create_Region rep ;
-	rep.setRegion(federations.createRegion(req->federation,
-			req->federate,
+	rep.setRegion(federations.createRegion(req->getFederation(),
+			req->getFederate(),
 			req->getSpace(),
 			req->getNbExtents()));
 
-	Debug(D, pdDebug) << "Federate " << req->federate << " of Federation "
-			<< req->federation << " creates region " << rep.getRegion()
+	Debug(D, pdDebug) << "Federate " << req->getFederate() << " of Federation "
+			<< req->getFederation() << " creates region " << rep.getRegion()
 			<< endl ;
 
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.send(link,NM_msgBufSend);
 }
 
@@ -1245,15 +1245,15 @@
 void
 RTIG::processModifyRegion(Socket *link, NM_DDM_Modify_Region *req)
 {
-	Debug(D, pdDebug) << "Federate " << req->federate << " of Federation "
-			<< req->federation << " modifies region " << req->getRegion()
+	Debug(D, pdDebug) << "Federate " << req->getFederate() << " of Federation "
+			<< req->getFederation() << " modifies region " << req->getRegion()
 			<< endl ;
 
-	federations.modifyRegion(req->federation, req->federate,
+	federations.modifyRegion(req->getFederation(), req->getFederate(),
 			req->getRegion(), req->getExtents());
 
 	NM_DDM_Modify_Region rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.send(link,NM_msgBufSend);
 }
 
@@ -1264,15 +1264,15 @@
 {
 	// TODO: audit...
 
-	Debug(D, pdDebug) << "Federate " << req->federate << " of Federation "
-			<< req->federation << " deletes region " << req->getRegion()
+	Debug(D, pdDebug) << "Federate " << req->getFederate() << " of Federation "
+			<< req->getFederation() << " deletes region " << req->getRegion()
 			<< endl ;
 
-	federations.deleteRegion(req->federation, req->federate, req->getRegion());
+	federations.deleteRegion(req->getFederation(), req->getFederate(), req->getRegion());
 
 	NM_DDM_Delete_Region rep;
 
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setRegion(req->getRegion());
 	rep.send(link,NM_msgBufSend);
 }
@@ -1284,16 +1284,16 @@
 {
 	// TODO: audit...
 
-	Debug(D, pdDebug) << "Federate " << req->federate << " of Federation "
-			<< req->federation << " associates region " << req->getRegion()
+	Debug(D, pdDebug) << "Federate " << req->getFederate() << " of Federation "
+			<< req->getFederation() << " associates region " << req->getRegion()
 			<< " to some attributes of object " << req->getObject() << endl ;
 
-	federations.associateRegion(req->federation, req->federate, req->getObject(),
+	federations.associateRegion(req->getFederation(), req->getFederate(), req->getObject(),
 			req->getRegion(), req->getAttributesSize(),
 			req->getAttributes());
 
 	NM_DDM_Associate_Region rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.send(link,NM_msgBufSend);
 }
 
@@ -1304,15 +1304,15 @@
 {
 	// TODO: audit...
 
-	federations.unassociateRegion(req->federation, req->federate,
+	federations.unassociateRegion(req->getFederation(), req->getFederate(),
 			req->getObject(), req->getRegion());
 
-	Debug(D, pdDebug) << "Federate " << req->federate << " of Federation "
-			<< req->federation << " associates region " << req->getRegion()
+	Debug(D, pdDebug) << "Federate " << req->getFederate() << " of Federation "
+			<< req->getFederation() << " associates region " << req->getRegion()
 			<< " from object " << req->getObject() << endl ;
 
 	NM_DDM_Unassociate_Region rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.send(link,NM_msgBufSend);
 }
 
@@ -1322,16 +1322,16 @@
 RTIG::processSubscribeAttributesWR(Socket *link, NM_DDM_Subscribe_Attributes *req)
 {
 	// TODO: audit...
-	Debug(D, pdDebug) << "Federate " << req->federate << " of Federation "
-			<< req->federation << " subscribes with region " << req->getRegion()
+	Debug(D, pdDebug) << "Federate " << req->getFederate() << " of Federation "
+			<< req->getFederation() << " subscribes with region " << req->getRegion()
 			<< " to some attributes of class " << req->getObjectClass() << endl ;
 
-	federations.subscribeAttributesWR(req->federation, req->federate,
+	federations.subscribeAttributesWR(req->getFederation(), req->getFederate(),
 			req->getObjectClass(), req->getRegion(),
 			req->getAttributesSize(), req->getAttributes());
 
 	NM_DDM_Subscribe_Attributes rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.setObjectClass(req->getObjectClass());
 	rep.send(link,NM_msgBufSend);
 }
@@ -1342,15 +1342,15 @@
 RTIG::processUnsubscribeAttributesWR(Socket *link, NM_DDM_Unsubscribe_Attributes *req)
 {
 	// TODO: audit...
-	Debug(D, pdDebug) << "Federate " << req->federate << " of Federation "
-			<< req->federation << " unsubscribes with region " << req->getRegion()
+	Debug(D, pdDebug) << "Federate " << req->getFederate() << " of Federation "
+			<< req->getFederation() << " unsubscribes with region " << req->getRegion()
 			<< " from object class " << req->getObjectClass() << endl ;
 
-	federations.unsubscribeAttributesWR(req->federation, req->federate,
+	federations.unsubscribeAttributesWR(req->getFederation(), req->getFederate(),
 			req->getObjectClass(), req->getRegion());
 
 	NM_DDM_Unsubscribe_Attributes rep ;
-	rep.federate = req->federate ;
+	rep.setFederate( req->getFederate());
 	rep.send(link,NM_msgBufSend);
 }
 
@@ -1361,15 +1361,15 @@
 {
 	// TODO: audit...
 
-	federations.subscribeInteractionWR(req->federation, req->federate,
+	federations.subscribeInteractionWR(req->getFederation(), req->getFederate(),
 			req->getInteractionClass(), req->getRegion());
 
-	Debug(D, pdDebug) << "Federate " << req->federate << " of Federation "
-			<< req->federation << " subscribes with region " << req->getRegion()
+	Debug(D, pdDebug) << "Federate " << req->getFederate() << " of Federation "
+			<< req->getFederation() << " subscribes with region " << req->getRegion()
 			<< " to interaction class " << req->getInteractionClass() << endl ;
 
 	NM_DDM_Subscribe_Interaction rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.send(link,NM_msgBufSend);
 }
 
@@ -1380,15 +1380,15 @@
 {
 	// TODO: audit...
 
-	federations.unsubscribeInteractionWR(req->federation, req->federate,
+	federations.unsubscribeInteractionWR(req->getFederation(), req->getFederate(),
 			req->getInteractionClass(), req->getRegion());
 
-	Debug(D, pdDebug) << "Federate " << req->federate << " of Federation "
-			<< req->federation << " unsubscribes with region " << req->getRegion()
+	Debug(D, pdDebug) << "Federate " << req->getFederate() << " of Federation "
+			<< req->getFederation() << " unsubscribes with region " << req->getRegion()
 			<< " from interaction class " << req->getInteractionClass() << endl ;
 
 	NM_DDM_Unsubscribe_Interaction rep ;
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.send(link,NM_msgBufSend);
 }
 
@@ -1406,8 +1406,8 @@
 	//     - req->region  (coming from NetworkMessage::region)
 	//     - req->regions (coming from BasicMessage::regions)
 	// would be nice to sort those thing out.
-	rep.setObject(federations.registerObjectWithRegion(req->federation,
-			req->federate,
+	rep.setObject(federations.registerObjectWithRegion(req->getFederation(),
+			req->getFederate(),
 			req->getObjectClass(),
 			req->getLabel(),
 			req->getRegion(),
@@ -1416,9 +1416,9 @@
 
 	D.Out(pdRegister,
 			"Object \"%s\" of Federate %u has been registered under ID %u.",
-			req->getLabel().c_str(), req->federate, rep.getObject());
+			req->getLabel().c_str(), req->getFederate(), rep.getObject());
 
-	rep.federate = req->federate ;
+	rep.setFederate(req->getFederate());
 	rep.send(link,NM_msgBufSend); // Send answer to RTIA
 }
 
@@ -1438,8 +1438,8 @@
 	answer.setException(e_NO_EXCEPTION);
 	try
 	{
-		federateOwner = federations.requestObjectOwner(request->federation,
-				request->federate,
+		federateOwner = federations.requestObjectOwner(request->getFederation(),
+				request->getFederate(),
 				request->getObject(),
 				request->getAttributes(),
 				request->getAttributesSize());
@@ -1457,7 +1457,7 @@
 		answer.setException(e_RTIinternalError,e._reason);
 	}
 
-	answer.federate = request->federate ;
+	answer.setFederate(request->getFederate());
 	answer.setObject(request->getObject());
 
 	answer.send(link,NM_msgBufSend); // Send answer to RTIA
Index: RTIG/RTIG.cc
===================================================================
RCS file: /sources/certi/certi/RTIG/RTIG.cc,v
retrieving revision 3.63
diff -u -r3.63 RTIG.cc
--- RTIG/RTIG.cc	20 Mar 2010 16:34:13 -0000	3.63
+++ RTIG/RTIG.cc	22 Mar 2010 21:46:16 -0000
@@ -138,15 +138,15 @@
 
       case NetworkMessage::RESIGN_FEDERATION_EXECUTION:
         D.Out(pdTrace, "Federate no %u leaves federation no %u .",
-              msg->federate, msg->federation);
+              msg->getFederate(), msg->getFederation());
         auditServer.setLevel(9);
-        processResignFederation(link,msg->federation, msg->federate);
+        processResignFederation(link,msg->getFederation(), msg->getFederate());
         break ;
 
       case NetworkMessage::REGISTER_FEDERATION_SYNCHRONIZATION_POINT:
         D.Out(pdTrace,
               "Federation %u: registerFedSyncPoint from federate %u.",
-              msg->federation, msg->federate);
+              msg->getFederation(), msg->getFederate());
         auditServer.setLevel(8);
         processRegisterSynchronization(link, static_cast<NM_Register_Federation_Synchronization_Point*>(msg));
         break ;
@@ -154,20 +154,20 @@
       case NetworkMessage::SYNCHRONIZATION_POINT_ACHIEVED:
         D.Out(pdTrace,
               "Federation %u: synchronizationPointAchieved from federate %u.",
-              msg->federation, msg->federate);
+              msg->getFederation(), msg->getFederate());
         auditServer.setLevel(8);
         processSynchronizationAchieved(link, msg);
         break ;
 
       case NetworkMessage::REQUEST_FEDERATION_SAVE:
         D.Out(pdTrace, "Request federation save from federate %u.",
-              msg->federate);
+              msg->getFederate());
         auditServer.setLevel(8);
         processRequestFederationSave(link, msg);
         break ;
 
       case NetworkMessage::FEDERATE_SAVE_BEGUN:
-        D.Out(pdTrace, "Federate %u begun save.", msg->federate);
+        D.Out(pdTrace, "Federate %u begun save.", msg->getFederate());
         auditServer.setLevel(8);
         processFederateSaveBegun(link, msg);
         break ;
@@ -175,13 +175,13 @@
       case NetworkMessage::FEDERATE_SAVE_COMPLETE:
       case NetworkMessage::FEDERATE_SAVE_NOT_COMPLETE:
         D.Out(pdTrace, "Federate %u save complete/not complete.",
-              msg->federate);
+              msg->getFederate());
         auditServer.setLevel(8);
         processFederateSaveStatus(link, msg);
         break ;
 
       case NetworkMessage::REQUEST_FEDERATION_RESTORE:
-        D.Out(pdTrace, "Federate %u request a restoration.", msg->federate);
+        D.Out(pdTrace, "Federate %u request a restoration.", msg->getFederate());
         auditServer.setLevel(8);
         processRequestFederationRestore(link, msg);
         break ;
@@ -189,7 +189,7 @@
       case NetworkMessage::FEDERATE_RESTORE_COMPLETE:
       case NetworkMessage::FEDERATE_RESTORE_NOT_COMPLETE:
         D.Out(pdTrace, "Federate %u restore complete/not complete.",
-              msg->federate);
+              msg->getFederate());
         auditServer.setLevel(8);
         processFederateRestoreStatus(link, msg);
         break ;
@@ -202,13 +202,13 @@
 
       case NetworkMessage::SET_TIME_REGULATING:
         D.Out(pdTrace, "SetTimeRegulating du federe %u(date=%f).",
-              msg->federate, msg->getDate().getTime());
+              msg->getFederate(), msg->getDate().getTime());
         auditServer.setLevel(8);
         processSetTimeRegulating(link, static_cast<NM_Set_Time_Regulating*>(msg));
         break ;
 
       case NetworkMessage::SET_TIME_CONSTRAINED:
-        D.Out(pdTrace, "SetTimeConstrained du federe %u.", msg->federate);
+        D.Out(pdTrace, "SetTimeConstrained du federe %u.", msg->getFederate());
         auditServer.setLevel(8);
 
         processSetTimeConstrained(link, static_cast<NM_Set_Time_Constrained*>(msg));
@@ -569,9 +569,9 @@
 
     // Server Answer(only if an exception is raised)
     std::auto_ptr<NetworkMessage> rep(NM_Factory::create(msg->getMessageType()));
-    rep->federate = msg->federate ;
+    rep->setFederate(msg->getFederate());
 
-    auditServer.startLine(msg->federation, msg->federate, msg->getMessageType());
+    auditServer.startLine(msg->getFederation(), msg->getFederate(), msg->getMessageType());
 
     // This macro is used to copy any non null exception reason
     // string into our buffer(used for Audit purpose).
@@ -1015,7 +1015,7 @@
         rep->send(link,NM_msgBufSend);
         D.Out(pdExcept,
               "RTIG catched exception %d and sent it back to federate %d.",
-              rep->getException(), rep->federate);
+              rep->getException(), rep->getFederate());
     }
     G.Out(pdGendoc,"exit  RTIG::processIncomingMessage");
     return link ;
